
# Data Propagation Report

- **STAT1** : Number of instructions that hit unique coverpoints and update the signature.
- **STAT2** : Number of instructions that hit covepoints which are not unique but still update the signature
- **STAT3** : Number of instructions that hit a unique coverpoint but do not update signature
- **STAT4** : Number of multiple signature updates for the same coverpoint
- **STAT5** : Number of times the signature was overwritten

| Param                     | Value    |
|---------------------------|----------|
| XLEN                      | 32      |
| TEST_REGION               | [('0x800000f8', '0x80002d50')]      |
| SIG_REGION                | [('0x80004010', '0x80004940', '588 words')]      |
| COV_LABELS                | cand      |
| TEST_NAME                 | /scratch/git-repo/incoresemi/riscof/riscof_work/cand-01.S/cand-01.S    |
| Total Number of coverpoints| 643     |
| Total Coverpoints Hit     | 643      |
| Total Signature Updates   | 586      |
| STAT1                     | 585      |
| STAT2                     | 1      |
| STAT3                     | 0     |
| STAT4                     | 0     |
| STAT5                     | 0     |

## Details for STAT2:

```
Op without unique coverpoint updates Signature
 -- Code Sequence:
      [0x80000478]:c.and a0, a1
      [0x8000047a]:sw a0, 216(ra)
 -- Signature Address: 0x800040e8 Data: 0xFFFBFFF9
 -- Redundant Coverpoints hit by the op
      - opcode : c.and
      - rs1 : x10
      - rs2 : x11
      - rs1 != rs2
      - rs2_val < 0
      - rs2_val == -262145






```

## Details of STAT3

```


```

## Details of STAT4:

```

```

## Details of STAT5:



## Details of STAT1:

- The first column indicates the signature address and the data at that location in hexadecimal in the following format: 
  ```
  [Address]
  Data
  ```

- The second column captures all the coverpoints which have been captured by that particular signature location

- The third column captures all the insrtuctions since the time a coverpoint was
  hit to the point when a store to the signature was performed. Each line has
  the following format:
  ```
  [PC of instruction] : mnemonic
  ```
- The order in the table is based on the order of signatures occuring in the
  test. These need not necessarily be in increasing or decreasing order of the
  address in the signature region.

|s.no|        signature         |                                                                              coverpoints                                                                              |                             code                              |
|---:|--------------------------|-----------------------------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------|
|   1|[0x80004010]<br>0x00000000|- opcode : c.and<br> - rs1 : x8<br> - rs2 : x12<br> - rs1 != rs2<br> - rs2_val == (-2**(xlen-1))<br> - rs1_val == 0<br> - rs2_val < 0<br> - rs2_val == -2147483648<br> |[0x80000108]:c.and s0, a2<br> [0x8000010a]:sw fp, 0(ra)<br>    |
|   2|[0x80004014]<br>0xFFFBFFFF|- rs1 : x11<br> - rs2 : x11<br> - rs1 == rs2<br> - rs2_val == -262145<br> - rs1_val == -262145<br>                                                                     |[0x8000011e]:c.and a1, a1<br> [0x80000120]:sw a1, 4(ra)<br>    |
|   3|[0x80004018]<br>0x7FFFFFDF|- rs1 : x13<br> - rs2 : x9<br> - rs2_val == (2**(xlen-1)-1)<br> - rs2_val > 0<br> - rs2_val == 2147483647<br> - rs1_val == -33<br>                                     |[0x80000130]:c.and a3, s1<br> [0x80000132]:sw a3, 8(ra)<br>    |
|   4|[0x8000401c]<br>0x00000001|- rs1 : x9<br> - rs2 : x8<br> - rs2_val == 1<br> - rs1_val == -5<br>                                                                                                   |[0x8000013e]:c.and s1, s0<br> [0x80000140]:sw s1, 12(ra)<br>   |
|   5|[0x80004020]<br>0x00000000|- rs1 : x14<br> - rs2 : x13<br> - rs1_val == (-2**(xlen-1))<br> - rs1_val == -2147483648<br>                                                                           |[0x80000150]:c.and a4, a3<br> [0x80000152]:sw a4, 16(ra)<br>   |
|   6|[0x80004024]<br>0x10000000|- rs1 : x10<br> - rs2 : x14<br> - rs1_val == (2**(xlen-1)-1)<br> - rs2_val == 268435456<br> - rs1_val == 2147483647<br>                                                |[0x80000162]:c.and a0, a4<br> [0x80000164]:sw a0, 20(ra)<br>   |
|   7|[0x80004028]<br>0x00000001|- rs1 : x12<br> - rs2 : x15<br> - rs1_val == 1<br> - rs2_val == -268435457<br>                                                                                         |[0x80000174]:c.and a2, a5<br> [0x80000176]:sw a2, 24(ra)<br>   |
|   8|[0x8000402c]<br>0x00000002|- rs1 : x15<br> - rs2 : x10<br> - rs2_val == 2<br> - rs1_val == -536870913<br>                                                                                         |[0x80000186]:c.and a5, a0<br> [0x80000188]:sw a5, 28(ra)<br>   |
|   9|[0x80004030]<br>0x00000000|- rs2_val == 4<br> - rs1_val == 2<br> - rs1_val==2 and rs2_val==4<br>                                                                                                  |[0x80000194]:c.and a0, a1<br> [0x80000196]:sw a0, 32(ra)<br>   |
|  10|[0x80004034]<br>0x00000000|- rs2_val == 8<br>                                                                                                                                                     |[0x800001a6]:c.and a0, a1<br> [0x800001a8]:sw a0, 36(ra)<br>   |
|  11|[0x80004038]<br>0x00000010|- rs2_val == 16<br> - rs1_val == -129<br>                                                                                                                              |[0x800001b4]:c.and a0, a1<br> [0x800001b6]:sw a0, 40(ra)<br>   |
|  12|[0x8000403c]<br>0x00000000|- rs2_val == 32<br>                                                                                                                                                    |[0x800001c2]:c.and a0, a1<br> [0x800001c4]:sw a0, 44(ra)<br>   |
|  13|[0x80004040]<br>0x00000040|- rs2_val == 64<br>                                                                                                                                                    |[0x800001d0]:c.and a0, a1<br> [0x800001d2]:sw a0, 48(ra)<br>   |
|  14|[0x80004044]<br>0x00000080|- rs2_val == 128<br>                                                                                                                                                   |[0x800001e2]:c.and a0, a1<br> [0x800001e4]:sw a0, 52(ra)<br>   |
|  15|[0x80004048]<br>0x00000000|- rs2_val == 256<br> - rs1_val == 536870912<br>                                                                                                                        |[0x800001f0]:c.and a0, a1<br> [0x800001f2]:sw a0, 56(ra)<br>   |
|  16|[0x8000404c]<br>0x00000000|- rs2_val == 512<br>                                                                                                                                                   |[0x800001fe]:c.and a0, a1<br> [0x80000200]:sw a0, 60(ra)<br>   |
|  17|[0x80004050]<br>0x00000400|- rs2_val == 1024<br> - rs1_val == 1024<br>                                                                                                                            |[0x8000020c]:c.and a0, a1<br> [0x8000020e]:sw a0, 64(ra)<br>   |
|  18|[0x80004054]<br>0x00000800|- rs2_val == 2048<br> - rs1_val == -2<br>                                                                                                                              |[0x8000021e]:c.and a0, a1<br> [0x80000220]:sw a0, 68(ra)<br>   |
|  19|[0x80004058]<br>0x00000000|- rs2_val == 4096<br> - rs1_val == 16384<br>                                                                                                                           |[0x8000022c]:c.and a0, a1<br> [0x8000022e]:sw a0, 72(ra)<br>   |
|  20|[0x8000405c]<br>0x00002000|- rs2_val == 8192<br>                                                                                                                                                  |[0x8000023e]:c.and a0, a1<br> [0x80000240]:sw a0, 76(ra)<br>   |
|  21|[0x80004060]<br>0x00004000|- rs2_val == 16384<br> - rs1_val == -67108865<br>                                                                                                                      |[0x80000250]:c.and a0, a1<br> [0x80000252]:sw a0, 80(ra)<br>   |
|  22|[0x80004064]<br>0x00008000|- rs2_val == 32768<br> - rs1_val == -4194305<br>                                                                                                                       |[0x80000262]:c.and a0, a1<br> [0x80000264]:sw a0, 84(ra)<br>   |
|  23|[0x80004068]<br>0x00000000|- rs2_val == 65536<br> - rs1_val == 512<br>                                                                                                                            |[0x80000270]:c.and a0, a1<br> [0x80000272]:sw a0, 88(ra)<br>   |
|  24|[0x8000406c]<br>0x00020000|- rs2_val == 131072<br> - rs1_val == -134217729<br>                                                                                                                    |[0x80000282]:c.and a0, a1<br> [0x80000284]:sw a0, 92(ra)<br>   |
|  25|[0x80004070]<br>0x00040000|- rs2_val == 262144<br>                                                                                                                                                |[0x80000290]:c.and a0, a1<br> [0x80000292]:sw a0, 96(ra)<br>   |
|  26|[0x80004074]<br>0x00080000|- rs2_val == 524288<br>                                                                                                                                                |[0x8000029e]:c.and a0, a1<br> [0x800002a0]:sw a0, 100(ra)<br>  |
|  27|[0x80004078]<br>0x00000000|- rs2_val == 1048576<br> - rs1_val == 64<br>                                                                                                                           |[0x800002ac]:c.and a0, a1<br> [0x800002ae]:sw a0, 104(ra)<br>  |
|  28|[0x8000407c]<br>0x00000000|- rs2_val == 2097152<br>                                                                                                                                               |[0x800002be]:c.and a0, a1<br> [0x800002c0]:sw a0, 108(ra)<br>  |
|  29|[0x80004080]<br>0x00400000|- rs2_val == 4194304<br>                                                                                                                                               |[0x800002d0]:c.and a0, a1<br> [0x800002d2]:sw a0, 112(ra)<br>  |
|  30|[0x80004084]<br>0x00000000|- rs2_val == 8388608<br>                                                                                                                                               |[0x800002e2]:c.and a0, a1<br> [0x800002e4]:sw a0, 116(ra)<br>  |
|  31|[0x80004088]<br>0x00000000|- rs2_val == 16777216<br>                                                                                                                                              |[0x800002f0]:c.and a0, a1<br> [0x800002f2]:sw a0, 120(ra)<br>  |
|  32|[0x8000408c]<br>0x00000000|- rs2_val == 33554432<br>                                                                                                                                              |[0x800002fe]:c.and a0, a1<br> [0x80000300]:sw a0, 124(ra)<br>  |
|  33|[0x80004090]<br>0x04000000|- rs2_val == 67108864<br> - rs1_val == -1073741825<br>                                                                                                                 |[0x80000310]:c.and a0, a1<br> [0x80000312]:sw a0, 128(ra)<br>  |
|  34|[0x80004094]<br>0x00000000|- rs2_val == 134217728<br>                                                                                                                                             |[0x8000031e]:c.and a0, a1<br> [0x80000320]:sw a0, 132(ra)<br>  |
|  35|[0x80004098]<br>0x00000000|- rs2_val == 536870912<br> - rs1_val == 16<br>                                                                                                                         |[0x8000032c]:c.and a0, a1<br> [0x8000032e]:sw a0, 136(ra)<br>  |
|  36|[0x8000409c]<br>0x00000000|- rs2_val == 1073741824<br> - rs1_val == 4<br>                                                                                                                         |[0x8000033a]:c.and a0, a1<br> [0x8000033c]:sw a0, 140(ra)<br>  |
|  37|[0x800040a0]<br>0x00000006|- rs2_val == -2<br>                                                                                                                                                    |[0x80000348]:c.and a0, a1<br> [0x8000034a]:sw a0, 144(ra)<br>  |
|  38|[0x800040a4]<br>0xFFFBFFFD|- rs2_val == -3<br>                                                                                                                                                    |[0x8000035a]:c.and a0, a1<br> [0x8000035c]:sw a0, 148(ra)<br>  |
|  39|[0x800040a8]<br>0xFFFFFFDB|- rs2_val == -5<br>                                                                                                                                                    |[0x80000368]:c.and a0, a1<br> [0x8000036a]:sw a0, 152(ra)<br>  |
|  40|[0x800040ac]<br>0x00010000|- rs2_val == -9<br> - rs1_val == 65536<br>                                                                                                                             |[0x80000376]:c.and a0, a1<br> [0x80000378]:sw a0, 156(ra)<br>  |
|  41|[0x800040b0]<br>0x66666665|- rs2_val == -17<br>                                                                                                                                                   |[0x80000388]:c.and a0, a1<br> [0x8000038a]:sw a0, 160(ra)<br>  |
|  42|[0x800040b4]<br>0x00080000|- rs2_val == -33<br> - rs1_val == 524288<br>                                                                                                                           |[0x80000396]:c.and a0, a1<br> [0x80000398]:sw a0, 164(ra)<br>  |
|  43|[0x800040b8]<br>0x00000003|- rs2_val == -65<br>                                                                                                                                                   |[0x800003a4]:c.and a0, a1<br> [0x800003a6]:sw a0, 168(ra)<br>  |
|  44|[0x800040bc]<br>0x00004000|- rs2_val == -129<br>                                                                                                                                                  |[0x800003b2]:c.and a0, a1<br> [0x800003b4]:sw a0, 172(ra)<br>  |
|  45|[0x800040c0]<br>0x00000009|- rs2_val == -257<br>                                                                                                                                                  |[0x800003c0]:c.and a0, a1<br> [0x800003c2]:sw a0, 176(ra)<br>  |
|  46|[0x800040c4]<br>0x0000B504|- rs2_val == -513<br>                                                                                                                                                  |[0x800003d2]:c.and a0, a1<br> [0x800003d4]:sw a0, 180(ra)<br>  |
|  47|[0x800040c8]<br>0x00000000|- rs2_val == -1025<br>                                                                                                                                                 |[0x800003e0]:c.and a0, a1<br> [0x800003e2]:sw a0, 184(ra)<br>  |
|  48|[0x800040cc]<br>0x08000000|- rs2_val == -2049<br> - rs1_val == 134217728<br>                                                                                                                      |[0x800003f2]:c.and a0, a1<br> [0x800003f4]:sw a0, 188(ra)<br>  |
|  49|[0x800040d0]<br>0x3FFFEFFF|- rs2_val == -4097<br>                                                                                                                                                 |[0x80000408]:c.and a0, a1<br> [0x8000040a]:sw a0, 192(ra)<br>  |
|  50|[0x800040d4]<br>0x00080000|- rs2_val == -8193<br>                                                                                                                                                 |[0x8000041a]:c.and a0, a1<br> [0x8000041c]:sw a0, 196(ra)<br>  |
|  51|[0x800040d8]<br>0x00000006|- rs2_val == -16385<br>                                                                                                                                                |[0x8000042c]:c.and a0, a1<br> [0x8000042e]:sw a0, 200(ra)<br>  |
|  52|[0x800040dc]<br>0x55555554|- rs2_val == -32769<br>                                                                                                                                                |[0x80000442]:c.and a0, a1<br> [0x80000444]:sw a0, 204(ra)<br>  |
|  53|[0x800040e0]<br>0x00000007|- rs2_val == -65537<br>                                                                                                                                                |[0x80000454]:c.and a0, a1<br> [0x80000456]:sw a0, 208(ra)<br>  |
|  54|[0x800040e4]<br>0xFFFDFFFB|- rs2_val == -131073<br>                                                                                                                                               |[0x80000466]:c.and a0, a1<br> [0x80000468]:sw a0, 212(ra)<br>  |
|  55|[0x800040ec]<br>0xFFF7FFF7|- rs2_val == -524289<br> - rs1_val == -9<br>                                                                                                                           |[0x8000048a]:c.and a0, a1<br> [0x8000048c]:sw a0, 220(ra)<br>  |
|  56|[0x800040f0]<br>0x00000010|- rs2_val == -1048577<br>                                                                                                                                              |[0x8000049c]:c.and a0, a1<br> [0x8000049e]:sw a0, 224(ra)<br>  |
|  57|[0x800040f4]<br>0x00000040|- rs2_val == -2097153<br>                                                                                                                                              |[0x800004ae]:c.and a0, a1<br> [0x800004b0]:sw a0, 228(ra)<br>  |
|  58|[0x800040f8]<br>0x00000003|- rs2_val == -4194305<br>                                                                                                                                              |[0x800004c0]:c.and a0, a1<br> [0x800004c2]:sw a0, 232(ra)<br>  |
|  59|[0x800040fc]<br>0x00000080|- rs2_val == -8388609<br> - rs1_val == 128<br>                                                                                                                         |[0x800004d2]:c.and a0, a1<br> [0x800004d4]:sw a0, 236(ra)<br>  |
|  60|[0x80004100]<br>0x00000100|- rs2_val == -16777217<br> - rs1_val == 256<br>                                                                                                                        |[0x800004e4]:c.and a0, a1<br> [0x800004e6]:sw a0, 240(ra)<br>  |
|  61|[0x80004104]<br>0xFDFF4AFC|- rs2_val == -33554433<br>                                                                                                                                             |[0x800004fa]:c.and a0, a1<br> [0x800004fc]:sw a0, 244(ra)<br>  |
|  62|[0x80004108]<br>0xFBDFFFFF|- rs2_val == -67108865<br> - rs1_val == -2097153<br>                                                                                                                   |[0x80000510]:c.and a0, a1<br> [0x80000512]:sw a0, 248(ra)<br>  |
|  63|[0x8000410c]<br>0x00000002|- rs2_val == -134217729<br>                                                                                                                                            |[0x80000522]:c.and a0, a1<br> [0x80000524]:sw a0, 252(ra)<br>  |
|  64|[0x80004110]<br>0xDFFFFFF9|- rs2_val == -536870913<br>                                                                                                                                            |[0x80000534]:c.and a0, a1<br> [0x80000536]:sw a0, 256(ra)<br>  |
|  65|[0x80004114]<br>0x33333333|- rs2_val == -1073741825<br>                                                                                                                                           |[0x8000054a]:c.and a0, a1<br> [0x8000054c]:sw a0, 260(ra)<br>  |
|  66|[0x80004118]<br>0x55554555|- rs2_val == 1431655765<br> - rs1_val == -4097<br>                                                                                                                     |[0x80000560]:c.and a0, a1<br> [0x80000562]:sw a0, 264(ra)<br>  |
|  67|[0x8000411c]<br>0x00200000|- rs2_val == -1431655766<br> - rs1_val == 2097152<br>                                                                                                                  |[0x80000572]:c.and a0, a1<br> [0x80000574]:sw a0, 268(ra)<br>  |
|  68|[0x80004120]<br>0x00000008|- rs1_val == 8<br>                                                                                                                                                     |[0x80000584]:c.and a0, a1<br> [0x80000586]:sw a0, 272(ra)<br>  |
|  69|[0x80004124]<br>0x00000000|- rs1_val == 32<br>                                                                                                                                                    |[0x80000592]:c.and a0, a1<br> [0x80000594]:sw a0, 276(ra)<br>  |
|  70|[0x80004128]<br>0x00000000|- rs1_val == 2048<br>                                                                                                                                                  |[0x800005a8]:c.and a0, a1<br> [0x800005aa]:sw a0, 280(ra)<br>  |
|  71|[0x8000412c]<br>0x00001000|- rs1_val == 4096<br>                                                                                                                                                  |[0x800005b6]:c.and a0, a1<br> [0x800005b8]:sw a0, 284(ra)<br>  |
|  72|[0x80004130]<br>0x00002000|- rs1_val == 8192<br>                                                                                                                                                  |[0x800005c4]:c.and a0, a1<br> [0x800005c6]:sw a0, 288(ra)<br>  |
|  73|[0x80004134]<br>0x00000000|- rs1_val == 32768<br>                                                                                                                                                 |[0x800005d2]:c.and a0, a1<br> [0x800005d4]:sw a0, 292(ra)<br>  |
|  74|[0x80004138]<br>0x00020000|- rs1_val == 131072<br>                                                                                                                                                |[0x800005e0]:c.and a0, a1<br> [0x800005e2]:sw a0, 296(ra)<br>  |
|  75|[0x8000413c]<br>0x00000000|- rs1_val == 262144<br>                                                                                                                                                |[0x800005ee]:c.and a0, a1<br> [0x800005f0]:sw a0, 300(ra)<br>  |
|  76|[0x80004140]<br>0x00100000|- rs1_val == 1048576<br>                                                                                                                                               |[0x80000600]:c.and a0, a1<br> [0x80000602]:sw a0, 304(ra)<br>  |
|  77|[0x80004144]<br>0x00400000|- rs1_val == 4194304<br>                                                                                                                                               |[0x8000060e]:c.and a0, a1<br> [0x80000610]:sw a0, 308(ra)<br>  |
|  78|[0x80004148]<br>0x00000000|- rs1_val == 8388608<br>                                                                                                                                               |[0x8000061c]:c.and a0, a1<br> [0x8000061e]:sw a0, 312(ra)<br>  |
|  79|[0x8000414c]<br>0x01000000|- rs1_val == 16777216<br>                                                                                                                                              |[0x8000062e]:c.and a0, a1<br> [0x80000630]:sw a0, 316(ra)<br>  |
|  80|[0x80004150]<br>0x02000000|- rs1_val == 33554432<br>                                                                                                                                              |[0x80000640]:c.and a0, a1<br> [0x80000642]:sw a0, 320(ra)<br>  |
|  81|[0x80004154]<br>0x04000000|- rs1_val == 67108864<br>                                                                                                                                              |[0x80000652]:c.and a0, a1<br> [0x80000654]:sw a0, 324(ra)<br>  |
|  82|[0x80004158]<br>0x10000000|- rs1_val == 268435456<br>                                                                                                                                             |[0x80000660]:c.and a0, a1<br> [0x80000662]:sw a0, 328(ra)<br>  |
|  83|[0x8000415c]<br>0x40000000|- rs1_val == 1073741824<br>                                                                                                                                            |[0x80000672]:c.and a0, a1<br> [0x80000674]:sw a0, 332(ra)<br>  |
|  84|[0x80004160]<br>0x00020000|- rs1_val == -3<br>                                                                                                                                                    |[0x80000680]:c.and a0, a1<br> [0x80000682]:sw a0, 336(ra)<br>  |
|  85|[0x80004164]<br>0xFFDFFFEF|- rs1_val == -17<br>                                                                                                                                                   |[0x80000692]:c.and a0, a1<br> [0x80000694]:sw a0, 340(ra)<br>  |
|  86|[0x80004168]<br>0x00200000|- rs1_val == -65<br>                                                                                                                                                   |[0x800006a0]:c.and a0, a1<br> [0x800006a2]:sw a0, 344(ra)<br>  |
|  87|[0x8000416c]<br>0x00000000|- rs1_val == -257<br>                                                                                                                                                  |[0x800006ae]:c.and a0, a1<br> [0x800006b0]:sw a0, 348(ra)<br>  |
|  88|[0x80004170]<br>0x00000006|- rs1_val == -513<br>                                                                                                                                                  |[0x800006bc]:c.and a0, a1<br> [0x800006be]:sw a0, 352(ra)<br>  |
|  89|[0x80004174]<br>0xFEFFFBFF|- rs1_val == -1025<br>                                                                                                                                                 |[0x800006ce]:c.and a0, a1<br> [0x800006d0]:sw a0, 356(ra)<br>  |
|  90|[0x80004178]<br>0x02000000|- rs1_val == -2049<br>                                                                                                                                                 |[0x800006e0]:c.and a0, a1<br> [0x800006e2]:sw a0, 360(ra)<br>  |
|  91|[0x8000417c]<br>0xFFFF4AFC|- rs1_val == -8193<br>                                                                                                                                                 |[0x800006f6]:c.and a0, a1<br> [0x800006f8]:sw a0, 364(ra)<br>  |
|  92|[0x80004180]<br>0x00002000|- rs1_val == -16385<br>                                                                                                                                                |[0x80000708]:c.and a0, a1<br> [0x8000070a]:sw a0, 368(ra)<br>  |
|  93|[0x80004184]<br>0xBFFF7FFF|- rs1_val == -32769<br>                                                                                                                                                |[0x8000071e]:c.and a0, a1<br> [0x80000720]:sw a0, 372(ra)<br>  |
|  94|[0x80004188]<br>0xFFFE4AFC|- rs1_val == -65537<br>                                                                                                                                                |[0x80000734]:c.and a0, a1<br> [0x80000736]:sw a0, 376(ra)<br>  |
|  95|[0x8000418c]<br>0x00100000|- rs1_val == -131073<br>                                                                                                                                               |[0x80000746]:c.and a0, a1<br> [0x80000748]:sw a0, 380(ra)<br>  |
|  96|[0x80004190]<br>0x00000004|- rs1_val == -524289<br>                                                                                                                                               |[0x80000758]:c.and a0, a1<br> [0x8000075a]:sw a0, 384(ra)<br>  |
|  97|[0x80004194]<br>0xFFEFFEFF|- rs1_val == -1048577<br>                                                                                                                                              |[0x8000076a]:c.and a0, a1<br> [0x8000076c]:sw a0, 388(ra)<br>  |
|  98|[0x80004198]<br>0x00001000|- rs1_val == -8388609<br>                                                                                                                                              |[0x8000077c]:c.and a0, a1<br> [0x8000077e]:sw a0, 392(ra)<br>  |
|  99|[0x8000419c]<br>0xFEFFDFFF|- rs1_val == -16777217<br>                                                                                                                                             |[0x80000792]:c.and a0, a1<br> [0x80000794]:sw a0, 396(ra)<br>  |
| 100|[0x800041a0]<br>0xFDFEFFFF|- rs1_val == -33554433<br>                                                                                                                                             |[0x800007a8]:c.and a0, a1<br> [0x800007aa]:sw a0, 400(ra)<br>  |
| 101|[0x800041a4]<br>0xEDFFFFFF|- rs1_val == -268435457<br>                                                                                                                                            |[0x800007be]:c.and a0, a1<br> [0x800007c0]:sw a0, 404(ra)<br>  |
| 102|[0x800041a8]<br>0x44444445|- rs1_val == 1431655765<br> - rs1_val==1431655765 and rs2_val==1717986917<br>                                                                                          |[0x800007d4]:c.and a0, a1<br> [0x800007d6]:sw a0, 408(ra)<br>  |
| 103|[0x800041ac]<br>0x00000080|- rs1_val == -1431655766<br>                                                                                                                                           |[0x800007e6]:c.and a0, a1<br> [0x800007e8]:sw a0, 412(ra)<br>  |
| 104|[0x800041b0]<br>0x00000003|- rs1_val==3 and rs2_val==3<br>                                                                                                                                        |[0x800007f4]:c.and a0, a1<br> [0x800007f6]:sw a0, 416(ra)<br>  |
| 105|[0x800041b4]<br>0x00000001|- rs1_val==3 and rs2_val==1431655765<br>                                                                                                                               |[0x80000806]:c.and a0, a1<br> [0x80000808]:sw a0, 420(ra)<br>  |
| 106|[0x800041b8]<br>0x00000002|- rs1_val==3 and rs2_val==-1431655766<br>                                                                                                                              |[0x80000818]:c.and a0, a1<br> [0x8000081a]:sw a0, 424(ra)<br>  |
| 107|[0x800041bc]<br>0x00000001|- rs1_val==3 and rs2_val==5<br>                                                                                                                                        |[0x80000826]:c.and a0, a1<br> [0x80000828]:sw a0, 428(ra)<br>  |
| 108|[0x800041c0]<br>0x00000003|- rs1_val==3 and rs2_val==858993459<br>                                                                                                                                |[0x80000838]:c.and a0, a1<br> [0x8000083a]:sw a0, 432(ra)<br>  |
| 109|[0x800041c4]<br>0x00000002|- rs1_val==3 and rs2_val==1717986918<br>                                                                                                                               |[0x8000084a]:c.and a0, a1<br> [0x8000084c]:sw a0, 436(ra)<br>  |
| 110|[0x800041c8]<br>0x00000000|- rs1_val==3 and rs2_val==-46340<br>                                                                                                                                   |[0x8000085c]:c.and a0, a1<br> [0x8000085e]:sw a0, 440(ra)<br>  |
| 111|[0x800041cc]<br>0x00000000|- rs1_val==3 and rs2_val==46340<br>                                                                                                                                    |[0x8000086e]:c.and a0, a1<br> [0x80000870]:sw a0, 444(ra)<br>  |
| 112|[0x800041d0]<br>0x00000002|- rs1_val==3 and rs2_val==2<br>                                                                                                                                        |[0x8000087c]:c.and a0, a1<br> [0x8000087e]:sw a0, 448(ra)<br>  |
| 113|[0x800041d4]<br>0x00000000|- rs1_val==3 and rs2_val==1431655764<br>                                                                                                                               |[0x8000088e]:c.and a0, a1<br> [0x80000890]:sw a0, 452(ra)<br>  |
| 114|[0x800041d8]<br>0x00000000|- rs2_val == 0<br> - rs1_val==3 and rs2_val==0<br>                                                                                                                     |[0x8000089c]:c.and a0, a1<br> [0x8000089e]:sw a0, 456(ra)<br>  |
| 115|[0x800041dc]<br>0x00000000|- rs1_val==3 and rs2_val==4<br>                                                                                                                                        |[0x800008aa]:c.and a0, a1<br> [0x800008ac]:sw a0, 460(ra)<br>  |
| 116|[0x800041e0]<br>0x00000002|- rs1_val==3 and rs2_val==858993458<br>                                                                                                                                |[0x800008bc]:c.and a0, a1<br> [0x800008be]:sw a0, 464(ra)<br>  |
| 117|[0x800041e4]<br>0x00000001|- rs1_val==3 and rs2_val==1717986917<br>                                                                                                                               |[0x800008ce]:c.and a0, a1<br> [0x800008d0]:sw a0, 468(ra)<br>  |
| 118|[0x800041e8]<br>0x00000003|- rs1_val==3 and rs2_val==46339<br>                                                                                                                                    |[0x800008e0]:c.and a0, a1<br> [0x800008e2]:sw a0, 472(ra)<br>  |
| 119|[0x800041ec]<br>0x00000002|- rs1_val==3 and rs2_val==1431655766<br>                                                                                                                               |[0x800008f2]:c.and a0, a1<br> [0x800008f4]:sw a0, 476(ra)<br>  |
| 120|[0x800041f0]<br>0x00000003|- rs1_val==3 and rs2_val==-1431655765<br>                                                                                                                              |[0x80000904]:c.and a0, a1<br> [0x80000906]:sw a0, 480(ra)<br>  |
| 121|[0x800041f4]<br>0x00000002|- rs1_val==3 and rs2_val==6<br>                                                                                                                                        |[0x80000912]:c.and a0, a1<br> [0x80000914]:sw a0, 484(ra)<br>  |
| 122|[0x800041f8]<br>0x00000000|- rs1_val==3 and rs2_val==858993460<br>                                                                                                                                |[0x80000924]:c.and a0, a1<br> [0x80000926]:sw a0, 488(ra)<br>  |
| 123|[0x800041fc]<br>0x00000003|- rs1_val==3 and rs2_val==1717986919<br>                                                                                                                               |[0x80000936]:c.and a0, a1<br> [0x80000938]:sw a0, 492(ra)<br>  |
| 124|[0x80004200]<br>0x00000001|- rs1_val==3 and rs2_val==-46339<br>                                                                                                                                   |[0x80000948]:c.and a0, a1<br> [0x8000094a]:sw a0, 496(ra)<br>  |
| 125|[0x80004204]<br>0x00000001|- rs1_val==3 and rs2_val==46341<br>                                                                                                                                    |[0x8000095a]:c.and a0, a1<br> [0x8000095c]:sw a0, 500(ra)<br>  |
| 126|[0x80004208]<br>0x00000001|- rs1_val==1431655765 and rs2_val==3<br>                                                                                                                               |[0x8000096c]:c.and a0, a1<br> [0x8000096e]:sw a0, 504(ra)<br>  |
| 127|[0x8000420c]<br>0x55555555|- rs1_val==1431655765 and rs2_val==1431655765<br>                                                                                                                      |[0x80000982]:c.and a0, a1<br> [0x80000984]:sw a0, 508(ra)<br>  |
| 128|[0x80004210]<br>0x00000000|- rs1_val==1431655765 and rs2_val==-1431655766<br>                                                                                                                     |[0x80000998]:c.and a0, a1<br> [0x8000099a]:sw a0, 512(ra)<br>  |
| 129|[0x80004214]<br>0x00000005|- rs1_val==1431655765 and rs2_val==5<br>                                                                                                                               |[0x800009aa]:c.and a0, a1<br> [0x800009ac]:sw a0, 516(ra)<br>  |
| 130|[0x80004218]<br>0x11111111|- rs1_val==1431655765 and rs2_val==858993459<br>                                                                                                                       |[0x800009c0]:c.and a0, a1<br> [0x800009c2]:sw a0, 520(ra)<br>  |
| 131|[0x8000421c]<br>0x44444444|- rs1_val==1431655765 and rs2_val==1717986918<br>                                                                                                                      |[0x800009d6]:c.and a0, a1<br> [0x800009d8]:sw a0, 524(ra)<br>  |
| 132|[0x80004220]<br>0x55554054|- rs1_val==1431655765 and rs2_val==-46340<br>                                                                                                                          |[0x800009ec]:c.and a0, a1<br> [0x800009ee]:sw a0, 528(ra)<br>  |
| 133|[0x80004224]<br>0x00001504|- rs1_val==1431655765 and rs2_val==46340<br>                                                                                                                           |[0x80000a02]:c.and a0, a1<br> [0x80000a04]:sw a0, 532(ra)<br>  |
| 134|[0x80004228]<br>0x00000000|- rs1_val==1431655765 and rs2_val==2<br>                                                                                                                               |[0x80000a14]:c.and a0, a1<br> [0x80000a16]:sw a0, 536(ra)<br>  |
| 135|[0x8000422c]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655764<br>                                                                                                                      |[0x80000a2a]:c.and a0, a1<br> [0x80000a2c]:sw a0, 540(ra)<br>  |
| 136|[0x80004230]<br>0x00000000|- rs1_val==1431655765 and rs2_val==0<br>                                                                                                                               |[0x80000a3c]:c.and a0, a1<br> [0x80000a3e]:sw a0, 544(ra)<br>  |
| 137|[0x80004234]<br>0x00000004|- rs1_val==1431655765 and rs2_val==4<br>                                                                                                                               |[0x80000a4e]:c.and a0, a1<br> [0x80000a50]:sw a0, 548(ra)<br>  |
| 138|[0x80004238]<br>0x11111110|- rs1_val==1431655765 and rs2_val==858993458<br>                                                                                                                       |[0x80000a64]:c.and a0, a1<br> [0x80000a66]:sw a0, 552(ra)<br>  |
| 139|[0x8000423c]<br>0x00001501|- rs1_val==1431655765 and rs2_val==46339<br>                                                                                                                           |[0x80000a7a]:c.and a0, a1<br> [0x80000a7c]:sw a0, 556(ra)<br>  |
| 140|[0x80004240]<br>0x55555554|- rs1_val==1431655765 and rs2_val==1431655766<br>                                                                                                                      |[0x80000a90]:c.and a0, a1<br> [0x80000a92]:sw a0, 560(ra)<br>  |
| 141|[0x80004244]<br>0x00000001|- rs1_val==1431655765 and rs2_val==-1431655765<br>                                                                                                                     |[0x80000aa6]:c.and a0, a1<br> [0x80000aa8]:sw a0, 564(ra)<br>  |
| 142|[0x80004248]<br>0x00000004|- rs1_val==1431655765 and rs2_val==6<br>                                                                                                                               |[0x80000ab8]:c.and a0, a1<br> [0x80000aba]:sw a0, 568(ra)<br>  |
| 143|[0x8000424c]<br>0x11111114|- rs1_val==1431655765 and rs2_val==858993460<br>                                                                                                                       |[0x80000ace]:c.and a0, a1<br> [0x80000ad0]:sw a0, 572(ra)<br>  |
| 144|[0x80004250]<br>0x44444445|- rs1_val==1431655765 and rs2_val==1717986919<br>                                                                                                                      |[0x80000ae4]:c.and a0, a1<br> [0x80000ae6]:sw a0, 576(ra)<br>  |
| 145|[0x80004254]<br>0x55554055|- rs1_val==1431655765 and rs2_val==-46339<br>                                                                                                                          |[0x80000afa]:c.and a0, a1<br> [0x80000afc]:sw a0, 580(ra)<br>  |
| 146|[0x80004258]<br>0x00001505|- rs1_val==1431655765 and rs2_val==46341<br>                                                                                                                           |[0x80000b10]:c.and a0, a1<br> [0x80000b12]:sw a0, 584(ra)<br>  |
| 147|[0x8000425c]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==3<br>                                                                                                                              |[0x80000b22]:c.and a0, a1<br> [0x80000b24]:sw a0, 588(ra)<br>  |
| 148|[0x80004260]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655765<br>                                                                                                                     |[0x80000b38]:c.and a0, a1<br> [0x80000b3a]:sw a0, 592(ra)<br>  |
| 149|[0x80004264]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655766<br>                                                                                                                    |[0x80000b4e]:c.and a0, a1<br> [0x80000b50]:sw a0, 596(ra)<br>  |
| 150|[0x80004268]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==5<br>                                                                                                                              |[0x80000b60]:c.and a0, a1<br> [0x80000b62]:sw a0, 600(ra)<br>  |
| 151|[0x8000426c]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993459<br>                                                                                                                      |[0x80000b76]:c.and a0, a1<br> [0x80000b78]:sw a0, 604(ra)<br>  |
| 152|[0x80004270]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986918<br>                                                                                                                     |[0x80000b8c]:c.and a0, a1<br> [0x80000b8e]:sw a0, 608(ra)<br>  |
| 153|[0x80004274]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46340<br>                                                                                                                         |[0x80000ba2]:c.and a0, a1<br> [0x80000ba4]:sw a0, 612(ra)<br>  |
| 154|[0x80004278]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46340<br>                                                                                                                          |[0x80000bb8]:c.and a0, a1<br> [0x80000bba]:sw a0, 616(ra)<br>  |
| 155|[0x8000427c]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==2<br>                                                                                                                              |[0x80000bca]:c.and a0, a1<br> [0x80000bcc]:sw a0, 620(ra)<br>  |
| 156|[0x80004280]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==1431655764<br>                                                                                                                     |[0x80000be0]:c.and a0, a1<br> [0x80000be2]:sw a0, 624(ra)<br>  |
| 157|[0x80004284]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==0<br>                                                                                                                              |[0x80000bf2]:c.and a0, a1<br> [0x80000bf4]:sw a0, 628(ra)<br>  |
| 158|[0x80004288]<br>0x00000000|- rs1_val==-1431655766 and rs2_val==4<br>                                                                                                                              |[0x80000c04]:c.and a0, a1<br> [0x80000c06]:sw a0, 632(ra)<br>  |
| 159|[0x8000428c]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==858993458<br>                                                                                                                      |[0x80000c1a]:c.and a0, a1<br> [0x80000c1c]:sw a0, 636(ra)<br>  |
| 160|[0x80004290]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==1717986917<br>                                                                                                                     |[0x80000c30]:c.and a0, a1<br> [0x80000c32]:sw a0, 640(ra)<br>  |
| 161|[0x80004294]<br>0x0000A002|- rs1_val==-1431655766 and rs2_val==46339<br>                                                                                                                          |[0x80000c46]:c.and a0, a1<br> [0x80000c48]:sw a0, 644(ra)<br>  |
| 162|[0x80004298]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==1431655766<br>                                                                                                                     |[0x80000c5c]:c.and a0, a1<br> [0x80000c5e]:sw a0, 648(ra)<br>  |
| 163|[0x8000429c]<br>0xAAAAAAAA|- rs1_val==-1431655766 and rs2_val==-1431655765<br>                                                                                                                    |[0x80000c72]:c.and a0, a1<br> [0x80000c74]:sw a0, 652(ra)<br>  |
| 164|[0x800042a0]<br>0x00000002|- rs1_val==-1431655766 and rs2_val==6<br>                                                                                                                              |[0x80000c84]:c.and a0, a1<br> [0x80000c86]:sw a0, 656(ra)<br>  |
| 165|[0x800042a4]<br>0x22222220|- rs1_val==-1431655766 and rs2_val==858993460<br>                                                                                                                      |[0x80000c9a]:c.and a0, a1<br> [0x80000c9c]:sw a0, 660(ra)<br>  |
| 166|[0x800042a8]<br>0x22222222|- rs1_val==-1431655766 and rs2_val==1717986919<br>                                                                                                                     |[0x80000cb0]:c.and a0, a1<br> [0x80000cb2]:sw a0, 664(ra)<br>  |
| 167|[0x800042ac]<br>0xAAAA0AA8|- rs1_val==-1431655766 and rs2_val==-46339<br>                                                                                                                         |[0x80000cc6]:c.and a0, a1<br> [0x80000cc8]:sw a0, 668(ra)<br>  |
| 168|[0x800042b0]<br>0x0000A000|- rs1_val==-1431655766 and rs2_val==46341<br>                                                                                                                          |[0x80000cdc]:c.and a0, a1<br> [0x80000cde]:sw a0, 672(ra)<br>  |
| 169|[0x800042b4]<br>0x00000001|- rs1_val==5 and rs2_val==3<br>                                                                                                                                        |[0x80000cea]:c.and a0, a1<br> [0x80000cec]:sw a0, 676(ra)<br>  |
| 170|[0x800042b8]<br>0x00000005|- rs1_val==5 and rs2_val==1431655765<br>                                                                                                                               |[0x80000cfc]:c.and a0, a1<br> [0x80000cfe]:sw a0, 680(ra)<br>  |
| 171|[0x800042bc]<br>0x00000000|- rs1_val==5 and rs2_val==-1431655766<br>                                                                                                                              |[0x80000d0e]:c.and a0, a1<br> [0x80000d10]:sw a0, 684(ra)<br>  |
| 172|[0x800042c0]<br>0x00000005|- rs1_val==5 and rs2_val==5<br>                                                                                                                                        |[0x80000d1c]:c.and a0, a1<br> [0x80000d1e]:sw a0, 688(ra)<br>  |
| 173|[0x800042c4]<br>0x00000001|- rs1_val==5 and rs2_val==858993459<br>                                                                                                                                |[0x80000d2e]:c.and a0, a1<br> [0x80000d30]:sw a0, 692(ra)<br>  |
| 174|[0x800042c8]<br>0x00000004|- rs1_val==5 and rs2_val==1717986918<br>                                                                                                                               |[0x80000d40]:c.and a0, a1<br> [0x80000d42]:sw a0, 696(ra)<br>  |
| 175|[0x800042cc]<br>0x00000004|- rs1_val==5 and rs2_val==-46340<br>                                                                                                                                   |[0x80000d52]:c.and a0, a1<br> [0x80000d54]:sw a0, 700(ra)<br>  |
| 176|[0x800042d0]<br>0x00000004|- rs1_val==5 and rs2_val==46340<br>                                                                                                                                    |[0x80000d64]:c.and a0, a1<br> [0x80000d66]:sw a0, 704(ra)<br>  |
| 177|[0x800042d4]<br>0x00000000|- rs1_val==5 and rs2_val==2<br>                                                                                                                                        |[0x80000d72]:c.and a0, a1<br> [0x80000d74]:sw a0, 708(ra)<br>  |
| 178|[0x800042d8]<br>0x00000004|- rs1_val==5 and rs2_val==1431655764<br>                                                                                                                               |[0x80000d84]:c.and a0, a1<br> [0x80000d86]:sw a0, 712(ra)<br>  |
| 179|[0x800042dc]<br>0x00000000|- rs1_val==5 and rs2_val==0<br>                                                                                                                                        |[0x80000d92]:c.and a0, a1<br> [0x80000d94]:sw a0, 716(ra)<br>  |
| 180|[0x800042e0]<br>0x00000004|- rs1_val==5 and rs2_val==4<br>                                                                                                                                        |[0x80000da0]:c.and a0, a1<br> [0x80000da2]:sw a0, 720(ra)<br>  |
| 181|[0x800042e4]<br>0x00000000|- rs1_val==5 and rs2_val==858993458<br>                                                                                                                                |[0x80000db2]:c.and a0, a1<br> [0x80000db4]:sw a0, 724(ra)<br>  |
| 182|[0x800042e8]<br>0x00000005|- rs1_val==5 and rs2_val==1717986917<br>                                                                                                                               |[0x80000dc4]:c.and a0, a1<br> [0x80000dc6]:sw a0, 728(ra)<br>  |
| 183|[0x800042ec]<br>0x00000001|- rs1_val==5 and rs2_val==46339<br>                                                                                                                                    |[0x80000dd6]:c.and a0, a1<br> [0x80000dd8]:sw a0, 732(ra)<br>  |
| 184|[0x800042f0]<br>0x00000004|- rs1_val==5 and rs2_val==1431655766<br>                                                                                                                               |[0x80000de8]:c.and a0, a1<br> [0x80000dea]:sw a0, 736(ra)<br>  |
| 185|[0x800042f4]<br>0x00000001|- rs1_val==5 and rs2_val==-1431655765<br>                                                                                                                              |[0x80000dfa]:c.and a0, a1<br> [0x80000dfc]:sw a0, 740(ra)<br>  |
| 186|[0x800042f8]<br>0x00000004|- rs1_val==5 and rs2_val==6<br>                                                                                                                                        |[0x80000e08]:c.and a0, a1<br> [0x80000e0a]:sw a0, 744(ra)<br>  |
| 187|[0x800042fc]<br>0x00000004|- rs1_val==5 and rs2_val==858993460<br>                                                                                                                                |[0x80000e1a]:c.and a0, a1<br> [0x80000e1c]:sw a0, 748(ra)<br>  |
| 188|[0x80004300]<br>0x00000005|- rs1_val==5 and rs2_val==1717986919<br>                                                                                                                               |[0x80000e2c]:c.and a0, a1<br> [0x80000e2e]:sw a0, 752(ra)<br>  |
| 189|[0x80004304]<br>0x00000005|- rs1_val==5 and rs2_val==-46339<br>                                                                                                                                   |[0x80000e3e]:c.and a0, a1<br> [0x80000e40]:sw a0, 756(ra)<br>  |
| 190|[0x80004308]<br>0x00000005|- rs1_val==5 and rs2_val==46341<br>                                                                                                                                    |[0x80000e50]:c.and a0, a1<br> [0x80000e52]:sw a0, 760(ra)<br>  |
| 191|[0x8000430c]<br>0x00000003|- rs1_val==858993459 and rs2_val==3<br>                                                                                                                                |[0x80000e62]:c.and a0, a1<br> [0x80000e64]:sw a0, 764(ra)<br>  |
| 192|[0x80004310]<br>0x11111111|- rs1_val==858993459 and rs2_val==1431655765<br>                                                                                                                       |[0x80000e78]:c.and a0, a1<br> [0x80000e7a]:sw a0, 768(ra)<br>  |
| 193|[0x80004314]<br>0x22222222|- rs1_val==858993459 and rs2_val==-1431655766<br>                                                                                                                      |[0x80000e8e]:c.and a0, a1<br> [0x80000e90]:sw a0, 772(ra)<br>  |
| 194|[0x80004318]<br>0x00000001|- rs1_val==858993459 and rs2_val==5<br>                                                                                                                                |[0x80000ea0]:c.and a0, a1<br> [0x80000ea2]:sw a0, 776(ra)<br>  |
| 195|[0x8000431c]<br>0x33333333|- rs1_val==858993459 and rs2_val==858993459<br>                                                                                                                        |[0x80000eb6]:c.and a0, a1<br> [0x80000eb8]:sw a0, 780(ra)<br>  |
| 196|[0x80004320]<br>0x22222222|- rs1_val==858993459 and rs2_val==1717986918<br>                                                                                                                       |[0x80000ecc]:c.and a0, a1<br> [0x80000ece]:sw a0, 784(ra)<br>  |
| 197|[0x80004324]<br>0x33330230|- rs1_val==858993459 and rs2_val==-46340<br>                                                                                                                           |[0x80000ee2]:c.and a0, a1<br> [0x80000ee4]:sw a0, 788(ra)<br>  |
| 198|[0x80004328]<br>0x00003100|- rs1_val==858993459 and rs2_val==46340<br>                                                                                                                            |[0x80000ef8]:c.and a0, a1<br> [0x80000efa]:sw a0, 792(ra)<br>  |
| 199|[0x8000432c]<br>0x00000002|- rs1_val==858993459 and rs2_val==2<br>                                                                                                                                |[0x80000f0a]:c.and a0, a1<br> [0x80000f0c]:sw a0, 796(ra)<br>  |
| 200|[0x80004330]<br>0x11111110|- rs1_val==858993459 and rs2_val==1431655764<br>                                                                                                                       |[0x80000f20]:c.and a0, a1<br> [0x80000f22]:sw a0, 800(ra)<br>  |
| 201|[0x80004334]<br>0x00000000|- rs1_val==858993459 and rs2_val==0<br>                                                                                                                                |[0x80000f32]:c.and a0, a1<br> [0x80000f34]:sw a0, 804(ra)<br>  |
| 202|[0x80004338]<br>0x00000000|- rs1_val==858993459 and rs2_val==4<br>                                                                                                                                |[0x80000f44]:c.and a0, a1<br> [0x80000f46]:sw a0, 808(ra)<br>  |
| 203|[0x8000433c]<br>0x33333332|- rs1_val==858993459 and rs2_val==858993458<br>                                                                                                                        |[0x80000f5a]:c.and a0, a1<br> [0x80000f5c]:sw a0, 812(ra)<br>  |
| 204|[0x80004340]<br>0x22222221|- rs1_val==858993459 and rs2_val==1717986917<br>                                                                                                                       |[0x80000f70]:c.and a0, a1<br> [0x80000f72]:sw a0, 816(ra)<br>  |
| 205|[0x80004344]<br>0x00003103|- rs1_val==858993459 and rs2_val==46339<br>                                                                                                                            |[0x80000f86]:c.and a0, a1<br> [0x80000f88]:sw a0, 820(ra)<br>  |
| 206|[0x80004348]<br>0x11111112|- rs1_val==858993459 and rs2_val==1431655766<br>                                                                                                                       |[0x80000f9c]:c.and a0, a1<br> [0x80000f9e]:sw a0, 824(ra)<br>  |
| 207|[0x8000434c]<br>0x22222223|- rs1_val==858993459 and rs2_val==-1431655765<br>                                                                                                                      |[0x80000fb2]:c.and a0, a1<br> [0x80000fb4]:sw a0, 828(ra)<br>  |
| 208|[0x80004350]<br>0x00000002|- rs1_val==858993459 and rs2_val==6<br>                                                                                                                                |[0x80000fc4]:c.and a0, a1<br> [0x80000fc6]:sw a0, 832(ra)<br>  |
| 209|[0x80004354]<br>0x33333330|- rs1_val==858993459 and rs2_val==858993460<br>                                                                                                                        |[0x80000fda]:c.and a0, a1<br> [0x80000fdc]:sw a0, 836(ra)<br>  |
| 210|[0x80004358]<br>0x22222223|- rs1_val==858993459 and rs2_val==1717986919<br>                                                                                                                       |[0x80000ff0]:c.and a0, a1<br> [0x80000ff2]:sw a0, 840(ra)<br>  |
| 211|[0x8000435c]<br>0x33330231|- rs1_val==858993459 and rs2_val==-46339<br>                                                                                                                           |[0x80001006]:c.and a0, a1<br> [0x80001008]:sw a0, 844(ra)<br>  |
| 212|[0x80004360]<br>0x00003101|- rs1_val==858993459 and rs2_val==46341<br>                                                                                                                            |[0x8000101c]:c.and a0, a1<br> [0x8000101e]:sw a0, 848(ra)<br>  |
| 213|[0x80004364]<br>0x00000002|- rs1_val==1717986918 and rs2_val==3<br>                                                                                                                               |[0x8000102e]:c.and a0, a1<br> [0x80001030]:sw a0, 852(ra)<br>  |
| 214|[0x80004368]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655765<br>                                                                                                                      |[0x80001044]:c.and a0, a1<br> [0x80001046]:sw a0, 856(ra)<br>  |
| 215|[0x8000436c]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655766<br>                                                                                                                     |[0x8000105a]:c.and a0, a1<br> [0x8000105c]:sw a0, 860(ra)<br>  |
| 216|[0x80004370]<br>0x00000004|- rs1_val==1717986918 and rs2_val==5<br>                                                                                                                               |[0x8000106c]:c.and a0, a1<br> [0x8000106e]:sw a0, 864(ra)<br>  |
| 217|[0x80004374]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993459<br>                                                                                                                       |[0x80001082]:c.and a0, a1<br> [0x80001084]:sw a0, 868(ra)<br>  |
| 218|[0x80004378]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986918<br>                                                                                                                      |[0x80001098]:c.and a0, a1<br> [0x8000109a]:sw a0, 872(ra)<br>  |
| 219|[0x8000437c]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46340<br>                                                                                                                          |[0x800010ae]:c.and a0, a1<br> [0x800010b0]:sw a0, 876(ra)<br>  |
| 220|[0x80004380]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46340<br>                                                                                                                           |[0x800010c4]:c.and a0, a1<br> [0x800010c6]:sw a0, 880(ra)<br>  |
| 221|[0x80004384]<br>0x00000002|- rs1_val==1717986918 and rs2_val==2<br>                                                                                                                               |[0x800010d6]:c.and a0, a1<br> [0x800010d8]:sw a0, 884(ra)<br>  |
| 222|[0x80004388]<br>0x44444444|- rs1_val==1717986918 and rs2_val==1431655764<br>                                                                                                                      |[0x800010ec]:c.and a0, a1<br> [0x800010ee]:sw a0, 888(ra)<br>  |
| 223|[0x8000438c]<br>0x00000000|- rs1_val==1717986918 and rs2_val==0<br>                                                                                                                               |[0x800010fe]:c.and a0, a1<br> [0x80001100]:sw a0, 892(ra)<br>  |
| 224|[0x80004390]<br>0x00000004|- rs1_val==1717986918 and rs2_val==4<br>                                                                                                                               |[0x80001110]:c.and a0, a1<br> [0x80001112]:sw a0, 896(ra)<br>  |
| 225|[0x80004394]<br>0x22222222|- rs1_val==1717986918 and rs2_val==858993458<br>                                                                                                                       |[0x80001126]:c.and a0, a1<br> [0x80001128]:sw a0, 900(ra)<br>  |
| 226|[0x80004398]<br>0x66666664|- rs1_val==1717986918 and rs2_val==1717986917<br>                                                                                                                      |[0x8000113c]:c.and a0, a1<br> [0x8000113e]:sw a0, 904(ra)<br>  |
| 227|[0x8000439c]<br>0x00002402|- rs1_val==1717986918 and rs2_val==46339<br>                                                                                                                           |[0x80001152]:c.and a0, a1<br> [0x80001154]:sw a0, 908(ra)<br>  |
| 228|[0x800043a0]<br>0x44444446|- rs1_val==1717986918 and rs2_val==1431655766<br>                                                                                                                      |[0x80001168]:c.and a0, a1<br> [0x8000116a]:sw a0, 912(ra)<br>  |
| 229|[0x800043a4]<br>0x22222222|- rs1_val==1717986918 and rs2_val==-1431655765<br>                                                                                                                     |[0x8000117e]:c.and a0, a1<br> [0x80001180]:sw a0, 916(ra)<br>  |
| 230|[0x800043a8]<br>0x00000006|- rs1_val==1717986918 and rs2_val==6<br>                                                                                                                               |[0x80001190]:c.and a0, a1<br> [0x80001192]:sw a0, 920(ra)<br>  |
| 231|[0x800043ac]<br>0x22222224|- rs1_val==1717986918 and rs2_val==858993460<br>                                                                                                                       |[0x800011a6]:c.and a0, a1<br> [0x800011a8]:sw a0, 924(ra)<br>  |
| 232|[0x800043b0]<br>0x66666666|- rs1_val==1717986918 and rs2_val==1717986919<br>                                                                                                                      |[0x800011bc]:c.and a0, a1<br> [0x800011be]:sw a0, 928(ra)<br>  |
| 233|[0x800043b4]<br>0x66664264|- rs1_val==1717986918 and rs2_val==-46339<br>                                                                                                                          |[0x800011d2]:c.and a0, a1<br> [0x800011d4]:sw a0, 932(ra)<br>  |
| 234|[0x800043b8]<br>0x00002404|- rs1_val==1717986918 and rs2_val==46341<br>                                                                                                                           |[0x800011e8]:c.and a0, a1<br> [0x800011ea]:sw a0, 936(ra)<br>  |
| 235|[0x800043bc]<br>0x00000000|- rs1_val==-46340 and rs2_val==3<br>                                                                                                                                   |[0x800011fa]:c.and a0, a1<br> [0x800011fc]:sw a0, 940(ra)<br>  |
| 236|[0x800043c0]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655765<br>                                                                                                                          |[0x80001210]:c.and a0, a1<br> [0x80001212]:sw a0, 944(ra)<br>  |
| 237|[0x800043c4]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001226]:c.and a0, a1<br> [0x80001228]:sw a0, 948(ra)<br>  |
| 238|[0x800043c8]<br>0x00000004|- rs1_val==-46340 and rs2_val==5<br>                                                                                                                                   |[0x80001238]:c.and a0, a1<br> [0x8000123a]:sw a0, 952(ra)<br>  |
| 239|[0x800043cc]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993459<br>                                                                                                                           |[0x8000124e]:c.and a0, a1<br> [0x80001250]:sw a0, 956(ra)<br>  |
| 240|[0x800043d0]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986918<br>                                                                                                                          |[0x80001264]:c.and a0, a1<br> [0x80001266]:sw a0, 960(ra)<br>  |
| 241|[0x800043d4]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46340<br>                                                                                                                              |[0x8000127a]:c.and a0, a1<br> [0x8000127c]:sw a0, 964(ra)<br>  |
| 242|[0x800043d8]<br>0x00000004|- rs1_val==-46340 and rs2_val==46340<br>                                                                                                                               |[0x80001290]:c.and a0, a1<br> [0x80001292]:sw a0, 968(ra)<br>  |
| 243|[0x800043dc]<br>0x00000000|- rs1_val==-46340 and rs2_val==2<br>                                                                                                                                   |[0x800012a2]:c.and a0, a1<br> [0x800012a4]:sw a0, 972(ra)<br>  |
| 244|[0x800043e0]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655764<br>                                                                                                                          |[0x800012b8]:c.and a0, a1<br> [0x800012ba]:sw a0, 976(ra)<br>  |
| 245|[0x800043e4]<br>0x00000000|- rs1_val==-46340 and rs2_val==0<br>                                                                                                                                   |[0x800012ca]:c.and a0, a1<br> [0x800012cc]:sw a0, 980(ra)<br>  |
| 246|[0x800043e8]<br>0x00000004|- rs1_val==-46340 and rs2_val==4<br>                                                                                                                                   |[0x800012dc]:c.and a0, a1<br> [0x800012de]:sw a0, 984(ra)<br>  |
| 247|[0x800043ec]<br>0x33330230|- rs1_val==-46340 and rs2_val==858993458<br>                                                                                                                           |[0x800012f2]:c.and a0, a1<br> [0x800012f4]:sw a0, 988(ra)<br>  |
| 248|[0x800043f0]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986917<br>                                                                                                                          |[0x80001308]:c.and a0, a1<br> [0x8000130a]:sw a0, 992(ra)<br>  |
| 249|[0x800043f4]<br>0x00000000|- rs1_val==-46340 and rs2_val==46339<br>                                                                                                                               |[0x8000131e]:c.and a0, a1<br> [0x80001320]:sw a0, 996(ra)<br>  |
| 250|[0x800043f8]<br>0x55554054|- rs1_val==-46340 and rs2_val==1431655766<br>                                                                                                                          |[0x80001334]:c.and a0, a1<br> [0x80001336]:sw a0, 1000(ra)<br> |
| 251|[0x800043fc]<br>0xAAAA0AA8|- rs1_val==-46340 and rs2_val==-1431655765<br>                                                                                                                         |[0x8000134a]:c.and a0, a1<br> [0x8000134c]:sw a0, 1004(ra)<br> |
| 252|[0x80004400]<br>0x00000004|- rs1_val==-46340 and rs2_val==6<br>                                                                                                                                   |[0x8000135c]:c.and a0, a1<br> [0x8000135e]:sw a0, 1008(ra)<br> |
| 253|[0x80004404]<br>0x33330234|- rs1_val==-46340 and rs2_val==858993460<br>                                                                                                                           |[0x80001372]:c.and a0, a1<br> [0x80001374]:sw a0, 1012(ra)<br> |
| 254|[0x80004408]<br>0x66664264|- rs1_val==-46340 and rs2_val==1717986919<br>                                                                                                                          |[0x80001388]:c.and a0, a1<br> [0x8000138a]:sw a0, 1016(ra)<br> |
| 255|[0x8000440c]<br>0xFFFF4AFC|- rs1_val==-46340 and rs2_val==-46339<br>                                                                                                                              |[0x8000139e]:c.and a0, a1<br> [0x800013a0]:sw a0, 1020(ra)<br> |
| 256|[0x80004410]<br>0x00000004|- rs1_val==-46340 and rs2_val==46341<br>                                                                                                                               |[0x800013b4]:c.and a0, a1<br> [0x800013b6]:sw a0, 1024(ra)<br> |
| 257|[0x80004414]<br>0x00000000|- rs1_val==46340 and rs2_val==3<br>                                                                                                                                    |[0x800013c6]:c.and a0, a1<br> [0x800013c8]:sw a0, 1028(ra)<br> |
| 258|[0x80004418]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655765<br>                                                                                                                           |[0x800013dc]:c.and a0, a1<br> [0x800013de]:sw a0, 1032(ra)<br> |
| 259|[0x8000441c]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655766<br>                                                                                                                          |[0x800013f2]:c.and a0, a1<br> [0x800013f4]:sw a0, 1036(ra)<br> |
| 260|[0x80004420]<br>0x00000004|- rs1_val==46340 and rs2_val==5<br>                                                                                                                                    |[0x80001404]:c.and a0, a1<br> [0x80001406]:sw a0, 1040(ra)<br> |
| 261|[0x80004424]<br>0x00003100|- rs1_val==46340 and rs2_val==858993459<br>                                                                                                                            |[0x8000141a]:c.and a0, a1<br> [0x8000141c]:sw a0, 1044(ra)<br> |
| 262|[0x80004428]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986918<br>                                                                                                                           |[0x80001430]:c.and a0, a1<br> [0x80001432]:sw a0, 1048(ra)<br> |
| 263|[0x8000442c]<br>0x00000004|- rs1_val==46340 and rs2_val==-46340<br>                                                                                                                               |[0x80001446]:c.and a0, a1<br> [0x80001448]:sw a0, 1052(ra)<br> |
| 264|[0x80004430]<br>0x0000B504|- rs1_val==46340 and rs2_val==46340<br>                                                                                                                                |[0x8000145c]:c.and a0, a1<br> [0x8000145e]:sw a0, 1056(ra)<br> |
| 265|[0x80004434]<br>0x00000000|- rs1_val==46340 and rs2_val==2<br>                                                                                                                                    |[0x8000146e]:c.and a0, a1<br> [0x80001470]:sw a0, 1060(ra)<br> |
| 266|[0x80004438]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655764<br>                                                                                                                           |[0x80001484]:c.and a0, a1<br> [0x80001486]:sw a0, 1064(ra)<br> |
| 267|[0x8000443c]<br>0x00000000|- rs1_val==46340 and rs2_val==0<br>                                                                                                                                    |[0x80001496]:c.and a0, a1<br> [0x80001498]:sw a0, 1068(ra)<br> |
| 268|[0x80004440]<br>0x00000004|- rs1_val==46340 and rs2_val==4<br>                                                                                                                                    |[0x800014a8]:c.and a0, a1<br> [0x800014aa]:sw a0, 1072(ra)<br> |
| 269|[0x80004444]<br>0x00003100|- rs1_val==46340 and rs2_val==858993458<br>                                                                                                                            |[0x800014be]:c.and a0, a1<br> [0x800014c0]:sw a0, 1076(ra)<br> |
| 270|[0x80004448]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986917<br>                                                                                                                           |[0x800014d4]:c.and a0, a1<br> [0x800014d6]:sw a0, 1080(ra)<br> |
| 271|[0x8000444c]<br>0x0000B500|- rs1_val==46340 and rs2_val==46339<br>                                                                                                                                |[0x800014ea]:c.and a0, a1<br> [0x800014ec]:sw a0, 1084(ra)<br> |
| 272|[0x80004450]<br>0x00001504|- rs1_val==46340 and rs2_val==1431655766<br>                                                                                                                           |[0x80001500]:c.and a0, a1<br> [0x80001502]:sw a0, 1088(ra)<br> |
| 273|[0x80004454]<br>0x0000A000|- rs1_val==46340 and rs2_val==-1431655765<br>                                                                                                                          |[0x80001516]:c.and a0, a1<br> [0x80001518]:sw a0, 1092(ra)<br> |
| 274|[0x80004458]<br>0x00000004|- rs1_val==46340 and rs2_val==6<br>                                                                                                                                    |[0x80001528]:c.and a0, a1<br> [0x8000152a]:sw a0, 1096(ra)<br> |
| 275|[0x8000445c]<br>0x00003104|- rs1_val==46340 and rs2_val==858993460<br>                                                                                                                            |[0x8000153e]:c.and a0, a1<br> [0x80001540]:sw a0, 1100(ra)<br> |
| 276|[0x80004460]<br>0x00002404|- rs1_val==46340 and rs2_val==1717986919<br>                                                                                                                           |[0x80001554]:c.and a0, a1<br> [0x80001556]:sw a0, 1104(ra)<br> |
| 277|[0x80004464]<br>0x00000004|- rs1_val==46340 and rs2_val==-46339<br>                                                                                                                               |[0x8000156a]:c.and a0, a1<br> [0x8000156c]:sw a0, 1108(ra)<br> |
| 278|[0x80004468]<br>0x0000B504|- rs1_val==46340 and rs2_val==46341<br>                                                                                                                                |[0x80001580]:c.and a0, a1<br> [0x80001582]:sw a0, 1112(ra)<br> |
| 279|[0x8000446c]<br>0x00000002|- rs1_val==2 and rs2_val==3<br>                                                                                                                                        |[0x8000158e]:c.and a0, a1<br> [0x80001590]:sw a0, 1116(ra)<br> |
| 280|[0x80004470]<br>0x00000000|- rs1_val==2 and rs2_val==1431655765<br>                                                                                                                               |[0x800015a0]:c.and a0, a1<br> [0x800015a2]:sw a0, 1120(ra)<br> |
| 281|[0x80004474]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655766<br>                                                                                                                              |[0x800015b2]:c.and a0, a1<br> [0x800015b4]:sw a0, 1124(ra)<br> |
| 282|[0x80004478]<br>0x00000000|- rs1_val==2 and rs2_val==5<br>                                                                                                                                        |[0x800015c0]:c.and a0, a1<br> [0x800015c2]:sw a0, 1128(ra)<br> |
| 283|[0x8000447c]<br>0x00000002|- rs1_val==2 and rs2_val==858993459<br>                                                                                                                                |[0x800015d2]:c.and a0, a1<br> [0x800015d4]:sw a0, 1132(ra)<br> |
| 284|[0x80004480]<br>0x00000002|- rs1_val==2 and rs2_val==1717986918<br>                                                                                                                               |[0x800015e4]:c.and a0, a1<br> [0x800015e6]:sw a0, 1136(ra)<br> |
| 285|[0x80004484]<br>0x00000000|- rs1_val==2 and rs2_val==-46340<br>                                                                                                                                   |[0x800015f6]:c.and a0, a1<br> [0x800015f8]:sw a0, 1140(ra)<br> |
| 286|[0x80004488]<br>0x00000000|- rs1_val==2 and rs2_val==46340<br>                                                                                                                                    |[0x80001608]:c.and a0, a1<br> [0x8000160a]:sw a0, 1144(ra)<br> |
| 287|[0x8000448c]<br>0x00000002|- rs1_val==2 and rs2_val==2<br>                                                                                                                                        |[0x80001616]:c.and a0, a1<br> [0x80001618]:sw a0, 1148(ra)<br> |
| 288|[0x80004490]<br>0x00000000|- rs1_val==2 and rs2_val==1431655764<br>                                                                                                                               |[0x80001628]:c.and a0, a1<br> [0x8000162a]:sw a0, 1152(ra)<br> |
| 289|[0x80004494]<br>0x00000000|- rs1_val==2 and rs2_val==0<br>                                                                                                                                        |[0x80001636]:c.and a0, a1<br> [0x80001638]:sw a0, 1156(ra)<br> |
| 290|[0x80004498]<br>0x00000002|- rs1_val==2 and rs2_val==858993458<br>                                                                                                                                |[0x80001648]:c.and a0, a1<br> [0x8000164a]:sw a0, 1160(ra)<br> |
| 291|[0x8000449c]<br>0x00000000|- rs1_val==2 and rs2_val==1717986917<br>                                                                                                                               |[0x8000165a]:c.and a0, a1<br> [0x8000165c]:sw a0, 1164(ra)<br> |
| 292|[0x800044a0]<br>0x00000002|- rs1_val==2 and rs2_val==46339<br>                                                                                                                                    |[0x8000166c]:c.and a0, a1<br> [0x8000166e]:sw a0, 1168(ra)<br> |
| 293|[0x800044a4]<br>0x00000002|- rs1_val==2 and rs2_val==1431655766<br>                                                                                                                               |[0x8000167e]:c.and a0, a1<br> [0x80001680]:sw a0, 1172(ra)<br> |
| 294|[0x800044a8]<br>0x00000002|- rs1_val==2 and rs2_val==-1431655765<br>                                                                                                                              |[0x80001690]:c.and a0, a1<br> [0x80001692]:sw a0, 1176(ra)<br> |
| 295|[0x800044ac]<br>0x00000002|- rs1_val==2 and rs2_val==6<br>                                                                                                                                        |[0x8000169e]:c.and a0, a1<br> [0x800016a0]:sw a0, 1180(ra)<br> |
| 296|[0x800044b0]<br>0x00000000|- rs1_val==2 and rs2_val==858993460<br>                                                                                                                                |[0x800016b0]:c.and a0, a1<br> [0x800016b2]:sw a0, 1184(ra)<br> |
| 297|[0x800044b4]<br>0x00000002|- rs1_val==2 and rs2_val==1717986919<br>                                                                                                                               |[0x800016c2]:c.and a0, a1<br> [0x800016c4]:sw a0, 1188(ra)<br> |
| 298|[0x800044b8]<br>0x00000000|- rs1_val==2 and rs2_val==-46339<br>                                                                                                                                   |[0x800016d4]:c.and a0, a1<br> [0x800016d6]:sw a0, 1192(ra)<br> |
| 299|[0x800044bc]<br>0x00000000|- rs1_val==2 and rs2_val==46341<br>                                                                                                                                    |[0x800016e6]:c.and a0, a1<br> [0x800016e8]:sw a0, 1196(ra)<br> |
| 300|[0x800044c0]<br>0x00000000|- rs1_val==1431655764 and rs2_val==3<br>                                                                                                                               |[0x800016f8]:c.and a0, a1<br> [0x800016fa]:sw a0, 1200(ra)<br> |
| 301|[0x800044c4]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655765<br>                                                                                                                      |[0x8000170e]:c.and a0, a1<br> [0x80001710]:sw a0, 1204(ra)<br> |
| 302|[0x800044c8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655766<br>                                                                                                                     |[0x80001724]:c.and a0, a1<br> [0x80001726]:sw a0, 1208(ra)<br> |
| 303|[0x800044cc]<br>0x00000004|- rs1_val==1431655764 and rs2_val==5<br>                                                                                                                               |[0x80001736]:c.and a0, a1<br> [0x80001738]:sw a0, 1212(ra)<br> |
| 304|[0x800044d0]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993459<br>                                                                                                                       |[0x8000174c]:c.and a0, a1<br> [0x8000174e]:sw a0, 1216(ra)<br> |
| 305|[0x800044d4]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986918<br>                                                                                                                      |[0x80001762]:c.and a0, a1<br> [0x80001764]:sw a0, 1220(ra)<br> |
| 306|[0x800044d8]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46340<br>                                                                                                                          |[0x80001778]:c.and a0, a1<br> [0x8000177a]:sw a0, 1224(ra)<br> |
| 307|[0x800044dc]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46340<br>                                                                                                                           |[0x8000178e]:c.and a0, a1<br> [0x80001790]:sw a0, 1228(ra)<br> |
| 308|[0x800044e0]<br>0x00000000|- rs1_val==1431655764 and rs2_val==2<br>                                                                                                                               |[0x800017a0]:c.and a0, a1<br> [0x800017a2]:sw a0, 1232(ra)<br> |
| 309|[0x800044e4]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655764<br>                                                                                                                      |[0x800017b6]:c.and a0, a1<br> [0x800017b8]:sw a0, 1236(ra)<br> |
| 310|[0x800044e8]<br>0x00000000|- rs1_val==1431655764 and rs2_val==0<br>                                                                                                                               |[0x800017c8]:c.and a0, a1<br> [0x800017ca]:sw a0, 1240(ra)<br> |
| 311|[0x800044ec]<br>0x00000004|- rs1_val==1431655764 and rs2_val==4<br>                                                                                                                               |[0x800017da]:c.and a0, a1<br> [0x800017dc]:sw a0, 1244(ra)<br> |
| 312|[0x800044f0]<br>0x11111110|- rs1_val==1431655764 and rs2_val==858993458<br>                                                                                                                       |[0x800017f0]:c.and a0, a1<br> [0x800017f2]:sw a0, 1248(ra)<br> |
| 313|[0x800044f4]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986917<br>                                                                                                                      |[0x80001806]:c.and a0, a1<br> [0x80001808]:sw a0, 1252(ra)<br> |
| 314|[0x800044f8]<br>0x00001500|- rs1_val==1431655764 and rs2_val==46339<br>                                                                                                                           |[0x8000181c]:c.and a0, a1<br> [0x8000181e]:sw a0, 1256(ra)<br> |
| 315|[0x800044fc]<br>0x55555554|- rs1_val==1431655764 and rs2_val==1431655766<br>                                                                                                                      |[0x80001832]:c.and a0, a1<br> [0x80001834]:sw a0, 1260(ra)<br> |
| 316|[0x80004500]<br>0x00000000|- rs1_val==1431655764 and rs2_val==-1431655765<br>                                                                                                                     |[0x80001848]:c.and a0, a1<br> [0x8000184a]:sw a0, 1264(ra)<br> |
| 317|[0x80004504]<br>0x00000004|- rs1_val==1431655764 and rs2_val==6<br>                                                                                                                               |[0x8000185a]:c.and a0, a1<br> [0x8000185c]:sw a0, 1268(ra)<br> |
| 318|[0x80004508]<br>0x11111114|- rs1_val==1431655764 and rs2_val==858993460<br>                                                                                                                       |[0x80001870]:c.and a0, a1<br> [0x80001872]:sw a0, 1272(ra)<br> |
| 319|[0x8000450c]<br>0x44444444|- rs1_val==1431655764 and rs2_val==1717986919<br>                                                                                                                      |[0x80001886]:c.and a0, a1<br> [0x80001888]:sw a0, 1276(ra)<br> |
| 320|[0x80004510]<br>0x55554054|- rs1_val==1431655764 and rs2_val==-46339<br>                                                                                                                          |[0x8000189c]:c.and a0, a1<br> [0x8000189e]:sw a0, 1280(ra)<br> |
| 321|[0x80004514]<br>0x00001504|- rs1_val==1431655764 and rs2_val==46341<br>                                                                                                                           |[0x800018b2]:c.and a0, a1<br> [0x800018b4]:sw a0, 1284(ra)<br> |
| 322|[0x80004518]<br>0x00000000|- rs1_val==0 and rs2_val==3<br>                                                                                                                                        |[0x800018c0]:c.and a0, a1<br> [0x800018c2]:sw a0, 1288(ra)<br> |
| 323|[0x8000451c]<br>0x00000000|- rs1_val==0 and rs2_val==1431655765<br>                                                                                                                               |[0x800018d2]:c.and a0, a1<br> [0x800018d4]:sw a0, 1292(ra)<br> |
| 324|[0x80004520]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655766<br>                                                                                                                              |[0x800018e4]:c.and a0, a1<br> [0x800018e6]:sw a0, 1296(ra)<br> |
| 325|[0x80004524]<br>0x00000000|- rs1_val==0 and rs2_val==5<br>                                                                                                                                        |[0x800018f2]:c.and a0, a1<br> [0x800018f4]:sw a0, 1300(ra)<br> |
| 326|[0x80004528]<br>0x00000000|- rs1_val==0 and rs2_val==858993459<br>                                                                                                                                |[0x80001904]:c.and a0, a1<br> [0x80001906]:sw a0, 1304(ra)<br> |
| 327|[0x8000452c]<br>0x00000000|- rs1_val==0 and rs2_val==1717986918<br>                                                                                                                               |[0x80001916]:c.and a0, a1<br> [0x80001918]:sw a0, 1308(ra)<br> |
| 328|[0x80004530]<br>0x00000000|- rs1_val==0 and rs2_val==-46340<br>                                                                                                                                   |[0x80001928]:c.and a0, a1<br> [0x8000192a]:sw a0, 1312(ra)<br> |
| 329|[0x80004534]<br>0x00000000|- rs1_val==0 and rs2_val==46340<br>                                                                                                                                    |[0x8000193a]:c.and a0, a1<br> [0x8000193c]:sw a0, 1316(ra)<br> |
| 330|[0x80004538]<br>0x00000000|- rs1_val==0 and rs2_val==2<br>                                                                                                                                        |[0x80001948]:c.and a0, a1<br> [0x8000194a]:sw a0, 1320(ra)<br> |
| 331|[0x8000453c]<br>0xAAAA0AA9|- rs1_val==-1431655765 and rs2_val==-46339<br>                                                                                                                         |[0x8000195e]:c.and a0, a1<br> [0x80001960]:sw a0, 1324(ra)<br> |
| 332|[0x80004540]<br>0x0000A001|- rs1_val==-1431655765 and rs2_val==46341<br>                                                                                                                          |[0x80001974]:c.and a0, a1<br> [0x80001976]:sw a0, 1328(ra)<br> |
| 333|[0x80004544]<br>0x00000002|- rs1_val==6 and rs2_val==3<br>                                                                                                                                        |[0x80001982]:c.and a0, a1<br> [0x80001984]:sw a0, 1332(ra)<br> |
| 334|[0x80004548]<br>0x00000004|- rs1_val==6 and rs2_val==1431655765<br>                                                                                                                               |[0x80001994]:c.and a0, a1<br> [0x80001996]:sw a0, 1336(ra)<br> |
| 335|[0x8000454c]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655766<br>                                                                                                                              |[0x800019a6]:c.and a0, a1<br> [0x800019a8]:sw a0, 1340(ra)<br> |
| 336|[0x80004550]<br>0x00000004|- rs1_val==6 and rs2_val==5<br>                                                                                                                                        |[0x800019b4]:c.and a0, a1<br> [0x800019b6]:sw a0, 1344(ra)<br> |
| 337|[0x80004554]<br>0x00000002|- rs1_val==6 and rs2_val==858993459<br>                                                                                                                                |[0x800019c6]:c.and a0, a1<br> [0x800019c8]:sw a0, 1348(ra)<br> |
| 338|[0x80004558]<br>0x00000006|- rs1_val==6 and rs2_val==1717986918<br>                                                                                                                               |[0x800019d8]:c.and a0, a1<br> [0x800019da]:sw a0, 1352(ra)<br> |
| 339|[0x8000455c]<br>0x00000004|- rs1_val==6 and rs2_val==-46340<br>                                                                                                                                   |[0x800019ea]:c.and a0, a1<br> [0x800019ec]:sw a0, 1356(ra)<br> |
| 340|[0x80004560]<br>0x00000004|- rs1_val==6 and rs2_val==46340<br>                                                                                                                                    |[0x800019fc]:c.and a0, a1<br> [0x800019fe]:sw a0, 1360(ra)<br> |
| 341|[0x80004564]<br>0x00000002|- rs1_val==6 and rs2_val==2<br>                                                                                                                                        |[0x80001a0a]:c.and a0, a1<br> [0x80001a0c]:sw a0, 1364(ra)<br> |
| 342|[0x80004568]<br>0x00000004|- rs1_val==6 and rs2_val==1431655764<br>                                                                                                                               |[0x80001a1c]:c.and a0, a1<br> [0x80001a1e]:sw a0, 1368(ra)<br> |
| 343|[0x8000456c]<br>0x00000000|- rs1_val==6 and rs2_val==0<br>                                                                                                                                        |[0x80001a2a]:c.and a0, a1<br> [0x80001a2c]:sw a0, 1372(ra)<br> |
| 344|[0x80004570]<br>0x00000004|- rs1_val==6 and rs2_val==4<br>                                                                                                                                        |[0x80001a38]:c.and a0, a1<br> [0x80001a3a]:sw a0, 1376(ra)<br> |
| 345|[0x80004574]<br>0x00000002|- rs1_val==6 and rs2_val==858993458<br>                                                                                                                                |[0x80001a4a]:c.and a0, a1<br> [0x80001a4c]:sw a0, 1380(ra)<br> |
| 346|[0x80004578]<br>0x00000004|- rs1_val==6 and rs2_val==1717986917<br>                                                                                                                               |[0x80001a5c]:c.and a0, a1<br> [0x80001a5e]:sw a0, 1384(ra)<br> |
| 347|[0x8000457c]<br>0x00000002|- rs1_val==6 and rs2_val==46339<br>                                                                                                                                    |[0x80001a6e]:c.and a0, a1<br> [0x80001a70]:sw a0, 1388(ra)<br> |
| 348|[0x80004580]<br>0x00000006|- rs1_val==6 and rs2_val==1431655766<br>                                                                                                                               |[0x80001a80]:c.and a0, a1<br> [0x80001a82]:sw a0, 1392(ra)<br> |
| 349|[0x80004584]<br>0x00000002|- rs1_val==6 and rs2_val==-1431655765<br>                                                                                                                              |[0x80001a92]:c.and a0, a1<br> [0x80001a94]:sw a0, 1396(ra)<br> |
| 350|[0x80004588]<br>0x00000006|- rs1_val==6 and rs2_val==6<br>                                                                                                                                        |[0x80001aa0]:c.and a0, a1<br> [0x80001aa2]:sw a0, 1400(ra)<br> |
| 351|[0x8000458c]<br>0x00000004|- rs1_val==6 and rs2_val==858993460<br>                                                                                                                                |[0x80001ab2]:c.and a0, a1<br> [0x80001ab4]:sw a0, 1404(ra)<br> |
| 352|[0x80004590]<br>0x00000006|- rs1_val==6 and rs2_val==1717986919<br>                                                                                                                               |[0x80001ac4]:c.and a0, a1<br> [0x80001ac6]:sw a0, 1408(ra)<br> |
| 353|[0x80004594]<br>0x00000004|- rs1_val==6 and rs2_val==-46339<br>                                                                                                                                   |[0x80001ad6]:c.and a0, a1<br> [0x80001ad8]:sw a0, 1412(ra)<br> |
| 354|[0x80004598]<br>0x00000004|- rs1_val==6 and rs2_val==46341<br>                                                                                                                                    |[0x80001ae8]:c.and a0, a1<br> [0x80001aea]:sw a0, 1416(ra)<br> |
| 355|[0x8000459c]<br>0x00000000|- rs1_val==858993460 and rs2_val==3<br>                                                                                                                                |[0x80001afa]:c.and a0, a1<br> [0x80001afc]:sw a0, 1420(ra)<br> |
| 356|[0x800045a0]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655765<br>                                                                                                                       |[0x80001b10]:c.and a0, a1<br> [0x80001b12]:sw a0, 1424(ra)<br> |
| 357|[0x800045a4]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655766<br>                                                                                                                      |[0x80001b26]:c.and a0, a1<br> [0x80001b28]:sw a0, 1428(ra)<br> |
| 358|[0x800045a8]<br>0x00000004|- rs1_val==858993460 and rs2_val==5<br>                                                                                                                                |[0x80001b38]:c.and a0, a1<br> [0x80001b3a]:sw a0, 1432(ra)<br> |
| 359|[0x800045ac]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993459<br>                                                                                                                        |[0x80001b4e]:c.and a0, a1<br> [0x80001b50]:sw a0, 1436(ra)<br> |
| 360|[0x800045b0]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986918<br>                                                                                                                       |[0x80001b64]:c.and a0, a1<br> [0x80001b66]:sw a0, 1440(ra)<br> |
| 361|[0x800045b4]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46340<br>                                                                                                                           |[0x80001b7a]:c.and a0, a1<br> [0x80001b7c]:sw a0, 1444(ra)<br> |
| 362|[0x800045b8]<br>0x00003104|- rs1_val==858993460 and rs2_val==46340<br>                                                                                                                            |[0x80001b90]:c.and a0, a1<br> [0x80001b92]:sw a0, 1448(ra)<br> |
| 363|[0x800045bc]<br>0x00000000|- rs1_val==858993460 and rs2_val==2<br>                                                                                                                                |[0x80001ba2]:c.and a0, a1<br> [0x80001ba4]:sw a0, 1452(ra)<br> |
| 364|[0x800045c0]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655764<br>                                                                                                                       |[0x80001bb8]:c.and a0, a1<br> [0x80001bba]:sw a0, 1456(ra)<br> |
| 365|[0x800045c4]<br>0x00000000|- rs1_val==858993460 and rs2_val==0<br>                                                                                                                                |[0x80001bca]:c.and a0, a1<br> [0x80001bcc]:sw a0, 1460(ra)<br> |
| 366|[0x800045c8]<br>0x00000004|- rs1_val==858993460 and rs2_val==4<br>                                                                                                                                |[0x80001bdc]:c.and a0, a1<br> [0x80001bde]:sw a0, 1464(ra)<br> |
| 367|[0x800045cc]<br>0x33333330|- rs1_val==858993460 and rs2_val==858993458<br>                                                                                                                        |[0x80001bf2]:c.and a0, a1<br> [0x80001bf4]:sw a0, 1468(ra)<br> |
| 368|[0x800045d0]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986917<br>                                                                                                                       |[0x80001c08]:c.and a0, a1<br> [0x80001c0a]:sw a0, 1472(ra)<br> |
| 369|[0x800045d4]<br>0x00003100|- rs1_val==858993460 and rs2_val==46339<br>                                                                                                                            |[0x80001c1e]:c.and a0, a1<br> [0x80001c20]:sw a0, 1476(ra)<br> |
| 370|[0x800045d8]<br>0x11111114|- rs1_val==858993460 and rs2_val==1431655766<br>                                                                                                                       |[0x80001c34]:c.and a0, a1<br> [0x80001c36]:sw a0, 1480(ra)<br> |
| 371|[0x800045dc]<br>0x22222220|- rs1_val==858993460 and rs2_val==-1431655765<br>                                                                                                                      |[0x80001c4a]:c.and a0, a1<br> [0x80001c4c]:sw a0, 1484(ra)<br> |
| 372|[0x800045e0]<br>0x00000004|- rs1_val==858993460 and rs2_val==6<br>                                                                                                                                |[0x80001c5c]:c.and a0, a1<br> [0x80001c5e]:sw a0, 1488(ra)<br> |
| 373|[0x800045e4]<br>0x33333334|- rs1_val==858993460 and rs2_val==858993460<br>                                                                                                                        |[0x80001c72]:c.and a0, a1<br> [0x80001c74]:sw a0, 1492(ra)<br> |
| 374|[0x800045e8]<br>0x22222224|- rs1_val==858993460 and rs2_val==1717986919<br>                                                                                                                       |[0x80001c88]:c.and a0, a1<br> [0x80001c8a]:sw a0, 1496(ra)<br> |
| 375|[0x800045ec]<br>0x33330234|- rs1_val==858993460 and rs2_val==-46339<br>                                                                                                                           |[0x80001c9e]:c.and a0, a1<br> [0x80001ca0]:sw a0, 1500(ra)<br> |
| 376|[0x800045f0]<br>0x00003104|- rs1_val==858993460 and rs2_val==46341<br>                                                                                                                            |[0x80001cb4]:c.and a0, a1<br> [0x80001cb6]:sw a0, 1504(ra)<br> |
| 377|[0x800045f4]<br>0x00000003|- rs1_val==1717986919 and rs2_val==3<br>                                                                                                                               |[0x80001cc6]:c.and a0, a1<br> [0x80001cc8]:sw a0, 1508(ra)<br> |
| 378|[0x800045f8]<br>0x44444445|- rs1_val==1717986919 and rs2_val==1431655765<br>                                                                                                                      |[0x80001cdc]:c.and a0, a1<br> [0x80001cde]:sw a0, 1512(ra)<br> |
| 379|[0x800045fc]<br>0x22222222|- rs1_val==1717986919 and rs2_val==-1431655766<br>                                                                                                                     |[0x80001cf2]:c.and a0, a1<br> [0x80001cf4]:sw a0, 1516(ra)<br> |
| 380|[0x80004600]<br>0x00000005|- rs1_val==1717986919 and rs2_val==5<br>                                                                                                                               |[0x80001d04]:c.and a0, a1<br> [0x80001d06]:sw a0, 1520(ra)<br> |
| 381|[0x80004604]<br>0x22222223|- rs1_val==1717986919 and rs2_val==858993459<br>                                                                                                                       |[0x80001d1a]:c.and a0, a1<br> [0x80001d1c]:sw a0, 1524(ra)<br> |
| 382|[0x80004608]<br>0x66666666|- rs1_val==1717986919 and rs2_val==1717986918<br>                                                                                                                      |[0x80001d30]:c.and a0, a1<br> [0x80001d32]:sw a0, 1528(ra)<br> |
| 383|[0x8000460c]<br>0x66664264|- rs1_val==1717986919 and rs2_val==-46340<br>                                                                                                                          |[0x80001d46]:c.and a0, a1<br> [0x80001d48]:sw a0, 1532(ra)<br> |
| 384|[0x80004610]<br>0x00002404|- rs1_val==1717986919 and rs2_val==46340<br>                                                                                                                           |[0x80001d5c]:c.and a0, a1<br> [0x80001d5e]:sw a0, 1536(ra)<br> |
| 385|[0x80004614]<br>0x00000002|- rs1_val==1717986919 and rs2_val==2<br>                                                                                                                               |[0x80001d6e]:c.and a0, a1<br> [0x80001d70]:sw a0, 1540(ra)<br> |
| 386|[0x80004618]<br>0x44444444|- rs1_val==1717986919 and rs2_val==1431655764<br>                                                                                                                      |[0x80001d84]:c.and a0, a1<br> [0x80001d86]:sw a0, 1544(ra)<br> |
| 387|[0x8000461c]<br>0x00000000|- rs1_val==1717986919 and rs2_val==0<br>                                                                                                                               |[0x80001d96]:c.and a0, a1<br> [0x80001d98]:sw a0, 1548(ra)<br> |
| 388|[0x80004620]<br>0x00000004|- rs1_val==1717986919 and rs2_val==4<br>                                                                                                                               |[0x80001da8]:c.and a0, a1<br> [0x80001daa]:sw a0, 1552(ra)<br> |
| 389|[0x80004624]<br>0x22222222|- rs1_val==1717986919 and rs2_val==858993458<br>                                                                                                                       |[0x80001dbe]:c.and a0, a1<br> [0x80001dc0]:sw a0, 1556(ra)<br> |
| 390|[0x80004628]<br>0x66666665|- rs1_val==1717986919 and rs2_val==1717986917<br>                                                                                                                      |[0x80001dd4]:c.and a0, a1<br> [0x80001dd6]:sw a0, 1560(ra)<br> |
| 391|[0x8000462c]<br>0x00002403|- rs1_val==1717986919 and rs2_val==46339<br>                                                                                                                           |[0x80001dea]:c.and a0, a1<br> [0x80001dec]:sw a0, 1564(ra)<br> |
| 392|[0x80004630]<br>0x44444446|- rs1_val==1717986919 and rs2_val==1431655766<br>                                                                                                                      |[0x80001e00]:c.and a0, a1<br> [0x80001e02]:sw a0, 1568(ra)<br> |
| 393|[0x80004634]<br>0x22222223|- rs1_val==1717986919 and rs2_val==-1431655765<br>                                                                                                                     |[0x80001e16]:c.and a0, a1<br> [0x80001e18]:sw a0, 1572(ra)<br> |
| 394|[0x80004638]<br>0x00000006|- rs1_val==1717986919 and rs2_val==6<br>                                                                                                                               |[0x80001e28]:c.and a0, a1<br> [0x80001e2a]:sw a0, 1576(ra)<br> |
| 395|[0x8000463c]<br>0x22222224|- rs1_val==1717986919 and rs2_val==858993460<br>                                                                                                                       |[0x80001e3e]:c.and a0, a1<br> [0x80001e40]:sw a0, 1580(ra)<br> |
| 396|[0x80004640]<br>0x66666667|- rs1_val==1717986919 and rs2_val==1717986919<br>                                                                                                                      |[0x80001e54]:c.and a0, a1<br> [0x80001e56]:sw a0, 1584(ra)<br> |
| 397|[0x80004644]<br>0x66664265|- rs1_val==1717986919 and rs2_val==-46339<br>                                                                                                                          |[0x80001e6a]:c.and a0, a1<br> [0x80001e6c]:sw a0, 1588(ra)<br> |
| 398|[0x80004648]<br>0x00002405|- rs1_val==1717986919 and rs2_val==46341<br>                                                                                                                           |[0x80001e80]:c.and a0, a1<br> [0x80001e82]:sw a0, 1592(ra)<br> |
| 399|[0x8000464c]<br>0x00000001|- rs1_val==-46339 and rs2_val==3<br>                                                                                                                                   |[0x80001e92]:c.and a0, a1<br> [0x80001e94]:sw a0, 1596(ra)<br> |
| 400|[0x80004650]<br>0x55554055|- rs1_val==-46339 and rs2_val==1431655765<br>                                                                                                                          |[0x80001ea8]:c.and a0, a1<br> [0x80001eaa]:sw a0, 1600(ra)<br> |
| 401|[0x80004654]<br>0xAAAA0AA8|- rs1_val==-46339 and rs2_val==-1431655766<br>                                                                                                                         |[0x80001ebe]:c.and a0, a1<br> [0x80001ec0]:sw a0, 1604(ra)<br> |
| 402|[0x80004658]<br>0x00000005|- rs1_val==-46339 and rs2_val==5<br>                                                                                                                                   |[0x80001ed0]:c.and a0, a1<br> [0x80001ed2]:sw a0, 1608(ra)<br> |
| 403|[0x8000465c]<br>0x33330231|- rs1_val==-46339 and rs2_val==858993459<br>                                                                                                                           |[0x80001ee6]:c.and a0, a1<br> [0x80001ee8]:sw a0, 1612(ra)<br> |
| 404|[0x80004660]<br>0x66664264|- rs1_val==-46339 and rs2_val==1717986918<br>                                                                                                                          |[0x80001efc]:c.and a0, a1<br> [0x80001efe]:sw a0, 1616(ra)<br> |
| 405|[0x80004664]<br>0xFFFF4AFC|- rs1_val==-46339 and rs2_val==-46340<br>                                                                                                                              |[0x80001f12]:c.and a0, a1<br> [0x80001f14]:sw a0, 1620(ra)<br> |
| 406|[0x80004668]<br>0x00000004|- rs1_val==-46339 and rs2_val==46340<br>                                                                                                                               |[0x80001f28]:c.and a0, a1<br> [0x80001f2a]:sw a0, 1624(ra)<br> |
| 407|[0x8000466c]<br>0x00000000|- rs1_val==-46339 and rs2_val==2<br>                                                                                                                                   |[0x80001f3a]:c.and a0, a1<br> [0x80001f3c]:sw a0, 1628(ra)<br> |
| 408|[0x80004670]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655764<br>                                                                                                                          |[0x80001f50]:c.and a0, a1<br> [0x80001f52]:sw a0, 1632(ra)<br> |
| 409|[0x80004674]<br>0x00000000|- rs1_val==-46339 and rs2_val==0<br>                                                                                                                                   |[0x80001f62]:c.and a0, a1<br> [0x80001f64]:sw a0, 1636(ra)<br> |
| 410|[0x80004678]<br>0x00000004|- rs1_val==-46339 and rs2_val==4<br>                                                                                                                                   |[0x80001f74]:c.and a0, a1<br> [0x80001f76]:sw a0, 1640(ra)<br> |
| 411|[0x8000467c]<br>0x33330230|- rs1_val==-46339 and rs2_val==858993458<br>                                                                                                                           |[0x80001f8a]:c.and a0, a1<br> [0x80001f8c]:sw a0, 1644(ra)<br> |
| 412|[0x80004680]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986917<br>                                                                                                                          |[0x80001fa0]:c.and a0, a1<br> [0x80001fa2]:sw a0, 1648(ra)<br> |
| 413|[0x80004684]<br>0x00000001|- rs1_val==-46339 and rs2_val==46339<br>                                                                                                                               |[0x80001fb6]:c.and a0, a1<br> [0x80001fb8]:sw a0, 1652(ra)<br> |
| 414|[0x80004688]<br>0x55554054|- rs1_val==-46339 and rs2_val==1431655766<br>                                                                                                                          |[0x80001fcc]:c.and a0, a1<br> [0x80001fce]:sw a0, 1656(ra)<br> |
| 415|[0x8000468c]<br>0xAAAA0AA9|- rs1_val==-46339 and rs2_val==-1431655765<br>                                                                                                                         |[0x80001fe2]:c.and a0, a1<br> [0x80001fe4]:sw a0, 1660(ra)<br> |
| 416|[0x80004690]<br>0x00000004|- rs1_val==-46339 and rs2_val==6<br>                                                                                                                                   |[0x80001ff4]:c.and a0, a1<br> [0x80001ff6]:sw a0, 1664(ra)<br> |
| 417|[0x80004694]<br>0x33330234|- rs1_val==-46339 and rs2_val==858993460<br>                                                                                                                           |[0x8000200a]:c.and a0, a1<br> [0x8000200c]:sw a0, 1668(ra)<br> |
| 418|[0x80004698]<br>0x66664265|- rs1_val==-46339 and rs2_val==1717986919<br>                                                                                                                          |[0x80002020]:c.and a0, a1<br> [0x80002022]:sw a0, 1672(ra)<br> |
| 419|[0x8000469c]<br>0xFFFF4AFD|- rs1_val==-46339 and rs2_val==-46339<br>                                                                                                                              |[0x80002036]:c.and a0, a1<br> [0x80002038]:sw a0, 1676(ra)<br> |
| 420|[0x800046a0]<br>0x00000005|- rs1_val==-46339 and rs2_val==46341<br>                                                                                                                               |[0x8000204c]:c.and a0, a1<br> [0x8000204e]:sw a0, 1680(ra)<br> |
| 421|[0x800046a4]<br>0x00000001|- rs1_val==46341 and rs2_val==3<br>                                                                                                                                    |[0x8000205e]:c.and a0, a1<br> [0x80002060]:sw a0, 1684(ra)<br> |
| 422|[0x800046a8]<br>0x00001505|- rs1_val==46341 and rs2_val==1431655765<br>                                                                                                                           |[0x80002074]:c.and a0, a1<br> [0x80002076]:sw a0, 1688(ra)<br> |
| 423|[0x800046ac]<br>0x0000A000|- rs1_val==46341 and rs2_val==-1431655766<br>                                                                                                                          |[0x8000208a]:c.and a0, a1<br> [0x8000208c]:sw a0, 1692(ra)<br> |
| 424|[0x800046b0]<br>0x00000005|- rs1_val==46341 and rs2_val==5<br>                                                                                                                                    |[0x8000209c]:c.and a0, a1<br> [0x8000209e]:sw a0, 1696(ra)<br> |
| 425|[0x800046b4]<br>0x00003101|- rs1_val==46341 and rs2_val==858993459<br>                                                                                                                            |[0x800020b2]:c.and a0, a1<br> [0x800020b4]:sw a0, 1700(ra)<br> |
| 426|[0x800046b8]<br>0x00002404|- rs1_val==46341 and rs2_val==1717986918<br>                                                                                                                           |[0x800020c8]:c.and a0, a1<br> [0x800020ca]:sw a0, 1704(ra)<br> |
| 427|[0x800046bc]<br>0x00000004|- rs1_val==46341 and rs2_val==-46340<br>                                                                                                                               |[0x800020de]:c.and a0, a1<br> [0x800020e0]:sw a0, 1708(ra)<br> |
| 428|[0x800046c0]<br>0x0000B504|- rs1_val==46341 and rs2_val==46340<br>                                                                                                                                |[0x800020f4]:c.and a0, a1<br> [0x800020f6]:sw a0, 1712(ra)<br> |
| 429|[0x800046c4]<br>0x00000000|- rs1_val==46341 and rs2_val==2<br>                                                                                                                                    |[0x80002106]:c.and a0, a1<br> [0x80002108]:sw a0, 1716(ra)<br> |
| 430|[0x800046c8]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655764<br>                                                                                                                           |[0x8000211c]:c.and a0, a1<br> [0x8000211e]:sw a0, 1720(ra)<br> |
| 431|[0x800046cc]<br>0x00000000|- rs1_val==46341 and rs2_val==0<br>                                                                                                                                    |[0x8000212e]:c.and a0, a1<br> [0x80002130]:sw a0, 1724(ra)<br> |
| 432|[0x800046d0]<br>0x00000004|- rs1_val==46341 and rs2_val==4<br>                                                                                                                                    |[0x80002140]:c.and a0, a1<br> [0x80002142]:sw a0, 1728(ra)<br> |
| 433|[0x800046d4]<br>0x00003100|- rs1_val==46341 and rs2_val==858993458<br>                                                                                                                            |[0x80002156]:c.and a0, a1<br> [0x80002158]:sw a0, 1732(ra)<br> |
| 434|[0x800046d8]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986917<br>                                                                                                                           |[0x8000216c]:c.and a0, a1<br> [0x8000216e]:sw a0, 1736(ra)<br> |
| 435|[0x800046dc]<br>0x0000B501|- rs1_val==46341 and rs2_val==46339<br>                                                                                                                                |[0x80002182]:c.and a0, a1<br> [0x80002184]:sw a0, 1740(ra)<br> |
| 436|[0x800046e0]<br>0x00001504|- rs1_val==46341 and rs2_val==1431655766<br>                                                                                                                           |[0x80002198]:c.and a0, a1<br> [0x8000219a]:sw a0, 1744(ra)<br> |
| 437|[0x800046e4]<br>0x0000A001|- rs1_val==46341 and rs2_val==-1431655765<br>                                                                                                                          |[0x800021ae]:c.and a0, a1<br> [0x800021b0]:sw a0, 1748(ra)<br> |
| 438|[0x800046e8]<br>0x00000004|- rs1_val==46341 and rs2_val==6<br>                                                                                                                                    |[0x800021c0]:c.and a0, a1<br> [0x800021c2]:sw a0, 1752(ra)<br> |
| 439|[0x800046ec]<br>0x00003104|- rs1_val==46341 and rs2_val==858993460<br>                                                                                                                            |[0x800021d6]:c.and a0, a1<br> [0x800021d8]:sw a0, 1756(ra)<br> |
| 440|[0x800046f0]<br>0x00002405|- rs1_val==46341 and rs2_val==1717986919<br>                                                                                                                           |[0x800021ec]:c.and a0, a1<br> [0x800021ee]:sw a0, 1760(ra)<br> |
| 441|[0x800046f4]<br>0x00000005|- rs1_val==46341 and rs2_val==-46339<br>                                                                                                                               |[0x80002202]:c.and a0, a1<br> [0x80002204]:sw a0, 1764(ra)<br> |
| 442|[0x800046f8]<br>0x0000B505|- rs1_val==46341 and rs2_val==46341<br>                                                                                                                                |[0x80002218]:c.and a0, a1<br> [0x8000221a]:sw a0, 1768(ra)<br> |
| 443|[0x800046fc]<br>0x00000000|- rs1_val==0 and rs2_val==1431655764<br>                                                                                                                               |[0x8000222a]:c.and a0, a1<br> [0x8000222c]:sw a0, 1772(ra)<br> |
| 444|[0x80004700]<br>0x00000000|- rs1_val==0 and rs2_val==0<br>                                                                                                                                        |[0x80002238]:c.and a0, a1<br> [0x8000223a]:sw a0, 1776(ra)<br> |
| 445|[0x80004704]<br>0x00000000|- rs1_val==0 and rs2_val==4<br>                                                                                                                                        |[0x80002246]:c.and a0, a1<br> [0x80002248]:sw a0, 1780(ra)<br> |
| 446|[0x80004708]<br>0x00000000|- rs1_val==0 and rs2_val==858993458<br>                                                                                                                                |[0x80002258]:c.and a0, a1<br> [0x8000225a]:sw a0, 1784(ra)<br> |
| 447|[0x8000470c]<br>0x00000000|- rs1_val==0 and rs2_val==1717986917<br>                                                                                                                               |[0x8000226a]:c.and a0, a1<br> [0x8000226c]:sw a0, 1788(ra)<br> |
| 448|[0x80004710]<br>0x00000000|- rs1_val==0 and rs2_val==46339<br>                                                                                                                                    |[0x8000227c]:c.and a0, a1<br> [0x8000227e]:sw a0, 1792(ra)<br> |
| 449|[0x80004714]<br>0x00000000|- rs1_val==0 and rs2_val==1431655766<br>                                                                                                                               |[0x8000228e]:c.and a0, a1<br> [0x80002290]:sw a0, 1796(ra)<br> |
| 450|[0x80004718]<br>0x00000000|- rs1_val==0 and rs2_val==-1431655765<br>                                                                                                                              |[0x800022a0]:c.and a0, a1<br> [0x800022a2]:sw a0, 1800(ra)<br> |
| 451|[0x8000471c]<br>0x00000000|- rs1_val==0 and rs2_val==6<br>                                                                                                                                        |[0x800022ae]:c.and a0, a1<br> [0x800022b0]:sw a0, 1804(ra)<br> |
| 452|[0x80004720]<br>0x00000000|- rs1_val==0 and rs2_val==858993460<br>                                                                                                                                |[0x800022c0]:c.and a0, a1<br> [0x800022c2]:sw a0, 1808(ra)<br> |
| 453|[0x80004724]<br>0x00000000|- rs1_val==0 and rs2_val==1717986919<br>                                                                                                                               |[0x800022d2]:c.and a0, a1<br> [0x800022d4]:sw a0, 1812(ra)<br> |
| 454|[0x80004728]<br>0x00000000|- rs1_val==0 and rs2_val==-46339<br>                                                                                                                                   |[0x800022e4]:c.and a0, a1<br> [0x800022e6]:sw a0, 1816(ra)<br> |
| 455|[0x8000472c]<br>0x00000000|- rs1_val==0 and rs2_val==46341<br>                                                                                                                                    |[0x800022f6]:c.and a0, a1<br> [0x800022f8]:sw a0, 1820(ra)<br> |
| 456|[0x80004730]<br>0x00000000|- rs1_val==4 and rs2_val==3<br>                                                                                                                                        |[0x80002304]:c.and a0, a1<br> [0x80002306]:sw a0, 1824(ra)<br> |
| 457|[0x80004734]<br>0x00000004|- rs1_val==4 and rs2_val==1431655765<br>                                                                                                                               |[0x80002316]:c.and a0, a1<br> [0x80002318]:sw a0, 1828(ra)<br> |
| 458|[0x80004738]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655766<br>                                                                                                                              |[0x80002328]:c.and a0, a1<br> [0x8000232a]:sw a0, 1832(ra)<br> |
| 459|[0x8000473c]<br>0x00000004|- rs1_val==4 and rs2_val==5<br>                                                                                                                                        |[0x80002336]:c.and a0, a1<br> [0x80002338]:sw a0, 1836(ra)<br> |
| 460|[0x80004740]<br>0x00000000|- rs1_val==4 and rs2_val==858993459<br>                                                                                                                                |[0x80002348]:c.and a0, a1<br> [0x8000234a]:sw a0, 1840(ra)<br> |
| 461|[0x80004744]<br>0x00000004|- rs1_val==4 and rs2_val==1717986918<br>                                                                                                                               |[0x8000235a]:c.and a0, a1<br> [0x8000235c]:sw a0, 1844(ra)<br> |
| 462|[0x80004748]<br>0x00000004|- rs1_val==4 and rs2_val==-46340<br>                                                                                                                                   |[0x8000236c]:c.and a0, a1<br> [0x8000236e]:sw a0, 1848(ra)<br> |
| 463|[0x8000474c]<br>0x00000004|- rs1_val==4 and rs2_val==46340<br>                                                                                                                                    |[0x8000237e]:c.and a0, a1<br> [0x80002380]:sw a0, 1852(ra)<br> |
| 464|[0x80004750]<br>0x00000000|- rs1_val==4 and rs2_val==2<br>                                                                                                                                        |[0x8000238c]:c.and a0, a1<br> [0x8000238e]:sw a0, 1856(ra)<br> |
| 465|[0x80004754]<br>0x00000004|- rs1_val==4 and rs2_val==1431655764<br>                                                                                                                               |[0x8000239e]:c.and a0, a1<br> [0x800023a0]:sw a0, 1860(ra)<br> |
| 466|[0x80004758]<br>0x00000000|- rs1_val==4 and rs2_val==0<br>                                                                                                                                        |[0x800023ac]:c.and a0, a1<br> [0x800023ae]:sw a0, 1864(ra)<br> |
| 467|[0x8000475c]<br>0x00000004|- rs1_val==4 and rs2_val==4<br>                                                                                                                                        |[0x800023ba]:c.and a0, a1<br> [0x800023bc]:sw a0, 1868(ra)<br> |
| 468|[0x80004760]<br>0x00000000|- rs1_val==4 and rs2_val==858993458<br>                                                                                                                                |[0x800023cc]:c.and a0, a1<br> [0x800023ce]:sw a0, 1872(ra)<br> |
| 469|[0x80004764]<br>0x00000004|- rs1_val==4 and rs2_val==1717986917<br>                                                                                                                               |[0x800023de]:c.and a0, a1<br> [0x800023e0]:sw a0, 1876(ra)<br> |
| 470|[0x80004768]<br>0x00000000|- rs1_val==4 and rs2_val==46339<br>                                                                                                                                    |[0x800023f0]:c.and a0, a1<br> [0x800023f2]:sw a0, 1880(ra)<br> |
| 471|[0x8000476c]<br>0x00000004|- rs1_val==4 and rs2_val==1431655766<br>                                                                                                                               |[0x80002402]:c.and a0, a1<br> [0x80002404]:sw a0, 1884(ra)<br> |
| 472|[0x80004770]<br>0x00000000|- rs1_val==4 and rs2_val==-1431655765<br>                                                                                                                              |[0x80002414]:c.and a0, a1<br> [0x80002416]:sw a0, 1888(ra)<br> |
| 473|[0x80004774]<br>0x00000004|- rs1_val==4 and rs2_val==6<br>                                                                                                                                        |[0x80002422]:c.and a0, a1<br> [0x80002424]:sw a0, 1892(ra)<br> |
| 474|[0x80004778]<br>0x00000004|- rs1_val==4 and rs2_val==858993460<br>                                                                                                                                |[0x80002434]:c.and a0, a1<br> [0x80002436]:sw a0, 1896(ra)<br> |
| 475|[0x8000477c]<br>0x00000004|- rs1_val==4 and rs2_val==1717986919<br>                                                                                                                               |[0x80002446]:c.and a0, a1<br> [0x80002448]:sw a0, 1900(ra)<br> |
| 476|[0x80004780]<br>0x00000004|- rs1_val==4 and rs2_val==-46339<br>                                                                                                                                   |[0x80002458]:c.and a0, a1<br> [0x8000245a]:sw a0, 1904(ra)<br> |
| 477|[0x80004784]<br>0x00000004|- rs1_val==4 and rs2_val==46341<br>                                                                                                                                    |[0x8000246a]:c.and a0, a1<br> [0x8000246c]:sw a0, 1908(ra)<br> |
| 478|[0x80004788]<br>0x00000002|- rs1_val==858993458 and rs2_val==3<br>                                                                                                                                |[0x8000247c]:c.and a0, a1<br> [0x8000247e]:sw a0, 1912(ra)<br> |
| 479|[0x8000478c]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655765<br>                                                                                                                       |[0x80002492]:c.and a0, a1<br> [0x80002494]:sw a0, 1916(ra)<br> |
| 480|[0x80004790]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655766<br>                                                                                                                      |[0x800024a8]:c.and a0, a1<br> [0x800024aa]:sw a0, 1920(ra)<br> |
| 481|[0x80004794]<br>0x00000000|- rs1_val==858993458 and rs2_val==5<br>                                                                                                                                |[0x800024ba]:c.and a0, a1<br> [0x800024bc]:sw a0, 1924(ra)<br> |
| 482|[0x80004798]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993459<br>                                                                                                                        |[0x800024d0]:c.and a0, a1<br> [0x800024d2]:sw a0, 1928(ra)<br> |
| 483|[0x8000479c]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986918<br>                                                                                                                       |[0x800024e6]:c.and a0, a1<br> [0x800024e8]:sw a0, 1932(ra)<br> |
| 484|[0x800047a0]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46340<br>                                                                                                                           |[0x800024fc]:c.and a0, a1<br> [0x800024fe]:sw a0, 1936(ra)<br> |
| 485|[0x800047a4]<br>0x00003100|- rs1_val==858993458 and rs2_val==46340<br>                                                                                                                            |[0x80002512]:c.and a0, a1<br> [0x80002514]:sw a0, 1940(ra)<br> |
| 486|[0x800047a8]<br>0x00000002|- rs1_val==858993458 and rs2_val==2<br>                                                                                                                                |[0x80002524]:c.and a0, a1<br> [0x80002526]:sw a0, 1944(ra)<br> |
| 487|[0x800047ac]<br>0x11111110|- rs1_val==858993458 and rs2_val==1431655764<br>                                                                                                                       |[0x8000253a]:c.and a0, a1<br> [0x8000253c]:sw a0, 1948(ra)<br> |
| 488|[0x800047b0]<br>0x00000000|- rs1_val==858993458 and rs2_val==0<br>                                                                                                                                |[0x8000254c]:c.and a0, a1<br> [0x8000254e]:sw a0, 1952(ra)<br> |
| 489|[0x800047b4]<br>0x00000000|- rs1_val==858993458 and rs2_val==4<br>                                                                                                                                |[0x8000255e]:c.and a0, a1<br> [0x80002560]:sw a0, 1956(ra)<br> |
| 490|[0x800047b8]<br>0x33333332|- rs1_val==858993458 and rs2_val==858993458<br>                                                                                                                        |[0x80002574]:c.and a0, a1<br> [0x80002576]:sw a0, 1960(ra)<br> |
| 491|[0x800047bc]<br>0x22222220|- rs1_val==858993458 and rs2_val==1717986917<br>                                                                                                                       |[0x8000258a]:c.and a0, a1<br> [0x8000258c]:sw a0, 1964(ra)<br> |
| 492|[0x800047c0]<br>0x00003102|- rs1_val==858993458 and rs2_val==46339<br>                                                                                                                            |[0x800025a0]:c.and a0, a1<br> [0x800025a2]:sw a0, 1968(ra)<br> |
| 493|[0x800047c4]<br>0x11111112|- rs1_val==858993458 and rs2_val==1431655766<br>                                                                                                                       |[0x800025b6]:c.and a0, a1<br> [0x800025b8]:sw a0, 1972(ra)<br> |
| 494|[0x800047c8]<br>0x22222222|- rs1_val==858993458 and rs2_val==-1431655765<br>                                                                                                                      |[0x800025cc]:c.and a0, a1<br> [0x800025ce]:sw a0, 1976(ra)<br> |
| 495|[0x800047cc]<br>0x00000002|- rs1_val==858993458 and rs2_val==6<br>                                                                                                                                |[0x800025de]:c.and a0, a1<br> [0x800025e0]:sw a0, 1980(ra)<br> |
| 496|[0x800047d0]<br>0x33333330|- rs1_val==858993458 and rs2_val==858993460<br>                                                                                                                        |[0x800025f4]:c.and a0, a1<br> [0x800025f6]:sw a0, 1984(ra)<br> |
| 497|[0x800047d4]<br>0x22222222|- rs1_val==858993458 and rs2_val==1717986919<br>                                                                                                                       |[0x8000260a]:c.and a0, a1<br> [0x8000260c]:sw a0, 1988(ra)<br> |
| 498|[0x800047d8]<br>0x33330230|- rs1_val==858993458 and rs2_val==-46339<br>                                                                                                                           |[0x80002620]:c.and a0, a1<br> [0x80002622]:sw a0, 1992(ra)<br> |
| 499|[0x800047dc]<br>0x00003100|- rs1_val==858993458 and rs2_val==46341<br>                                                                                                                            |[0x80002636]:c.and a0, a1<br> [0x80002638]:sw a0, 1996(ra)<br> |
| 500|[0x800047e0]<br>0x00000001|- rs1_val==1717986917 and rs2_val==3<br>                                                                                                                               |[0x80002648]:c.and a0, a1<br> [0x8000264a]:sw a0, 2000(ra)<br> |
| 501|[0x800047e4]<br>0x44444445|- rs1_val==1717986917 and rs2_val==1431655765<br>                                                                                                                      |[0x8000265e]:c.and a0, a1<br> [0x80002660]:sw a0, 2004(ra)<br> |
| 502|[0x800047e8]<br>0x22222220|- rs1_val==1717986917 and rs2_val==-1431655766<br>                                                                                                                     |[0x80002674]:c.and a0, a1<br> [0x80002676]:sw a0, 2008(ra)<br> |
| 503|[0x800047ec]<br>0x00000005|- rs1_val==1717986917 and rs2_val==5<br>                                                                                                                               |[0x80002686]:c.and a0, a1<br> [0x80002688]:sw a0, 2012(ra)<br> |
| 504|[0x800047f0]<br>0x22222221|- rs1_val==1717986917 and rs2_val==858993459<br>                                                                                                                       |[0x8000269c]:c.and a0, a1<br> [0x8000269e]:sw a0, 2016(ra)<br> |
| 505|[0x800047f4]<br>0x66666664|- rs1_val==1717986917 and rs2_val==1717986918<br>                                                                                                                      |[0x800026b2]:c.and a0, a1<br> [0x800026b4]:sw a0, 2020(ra)<br> |
| 506|[0x800047f8]<br>0x66664264|- rs1_val==1717986917 and rs2_val==-46340<br>                                                                                                                          |[0x800026c8]:c.and a0, a1<br> [0x800026ca]:sw a0, 2024(ra)<br> |
| 507|[0x800047fc]<br>0x00002404|- rs1_val==1717986917 and rs2_val==46340<br>                                                                                                                           |[0x800026de]:c.and a0, a1<br> [0x800026e0]:sw a0, 2028(ra)<br> |
| 508|[0x80004800]<br>0x00000000|- rs1_val==1717986917 and rs2_val==2<br>                                                                                                                               |[0x800026f0]:c.and a0, a1<br> [0x800026f2]:sw a0, 2032(ra)<br> |
| 509|[0x80004804]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655764<br>                                                                                                                      |[0x80002706]:c.and a0, a1<br> [0x80002708]:sw a0, 2036(ra)<br> |
| 510|[0x80004808]<br>0x00000000|- rs1_val==1717986917 and rs2_val==0<br>                                                                                                                               |[0x80002718]:c.and a0, a1<br> [0x8000271a]:sw a0, 2040(ra)<br> |
| 511|[0x8000480c]<br>0x00000004|- rs1_val==1717986917 and rs2_val==4<br>                                                                                                                               |[0x8000272a]:c.and a0, a1<br> [0x8000272c]:sw a0, 2044(ra)<br> |
| 512|[0x80004810]<br>0x22222220|- rs1_val==1717986917 and rs2_val==858993458<br>                                                                                                                       |[0x80002748]:c.and a0, a1<br> [0x8000274a]:sw a0, 0(ra)<br>    |
| 513|[0x80004814]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986917<br>                                                                                                                      |[0x8000275e]:c.and a0, a1<br> [0x80002760]:sw a0, 4(ra)<br>    |
| 514|[0x80004818]<br>0x00002401|- rs1_val==1717986917 and rs2_val==46339<br>                                                                                                                           |[0x80002774]:c.and a0, a1<br> [0x80002776]:sw a0, 8(ra)<br>    |
| 515|[0x8000481c]<br>0x44444444|- rs1_val==1717986917 and rs2_val==1431655766<br>                                                                                                                      |[0x8000278a]:c.and a0, a1<br> [0x8000278c]:sw a0, 12(ra)<br>   |
| 516|[0x80004820]<br>0x22222221|- rs1_val==1717986917 and rs2_val==-1431655765<br>                                                                                                                     |[0x800027a0]:c.and a0, a1<br> [0x800027a2]:sw a0, 16(ra)<br>   |
| 517|[0x80004824]<br>0x00000004|- rs1_val==1717986917 and rs2_val==6<br>                                                                                                                               |[0x800027b2]:c.and a0, a1<br> [0x800027b4]:sw a0, 20(ra)<br>   |
| 518|[0x80004828]<br>0x22222224|- rs1_val==1717986917 and rs2_val==858993460<br>                                                                                                                       |[0x800027c8]:c.and a0, a1<br> [0x800027ca]:sw a0, 24(ra)<br>   |
| 519|[0x8000482c]<br>0x66666665|- rs1_val==1717986917 and rs2_val==1717986919<br>                                                                                                                      |[0x800027de]:c.and a0, a1<br> [0x800027e0]:sw a0, 28(ra)<br>   |
| 520|[0x80004830]<br>0x66664265|- rs1_val==1717986917 and rs2_val==-46339<br>                                                                                                                          |[0x800027f4]:c.and a0, a1<br> [0x800027f6]:sw a0, 32(ra)<br>   |
| 521|[0x80004834]<br>0x00002405|- rs1_val==1717986917 and rs2_val==46341<br>                                                                                                                           |[0x8000280a]:c.and a0, a1<br> [0x8000280c]:sw a0, 36(ra)<br>   |
| 522|[0x80004838]<br>0x00000003|- rs1_val==46339 and rs2_val==3<br>                                                                                                                                    |[0x8000281c]:c.and a0, a1<br> [0x8000281e]:sw a0, 40(ra)<br>   |
| 523|[0x8000483c]<br>0x00001501|- rs1_val==46339 and rs2_val==1431655765<br>                                                                                                                           |[0x80002832]:c.and a0, a1<br> [0x80002834]:sw a0, 44(ra)<br>   |
| 524|[0x80004840]<br>0x0000A002|- rs1_val==46339 and rs2_val==-1431655766<br>                                                                                                                          |[0x80002848]:c.and a0, a1<br> [0x8000284a]:sw a0, 48(ra)<br>   |
| 525|[0x80004844]<br>0x00000001|- rs1_val==46339 and rs2_val==5<br>                                                                                                                                    |[0x8000285a]:c.and a0, a1<br> [0x8000285c]:sw a0, 52(ra)<br>   |
| 526|[0x80004848]<br>0x00003103|- rs1_val==46339 and rs2_val==858993459<br>                                                                                                                            |[0x80002870]:c.and a0, a1<br> [0x80002872]:sw a0, 56(ra)<br>   |
| 527|[0x8000484c]<br>0x00002402|- rs1_val==46339 and rs2_val==1717986918<br>                                                                                                                           |[0x80002886]:c.and a0, a1<br> [0x80002888]:sw a0, 60(ra)<br>   |
| 528|[0x80004850]<br>0x00000000|- rs1_val==46339 and rs2_val==-46340<br>                                                                                                                               |[0x8000289c]:c.and a0, a1<br> [0x8000289e]:sw a0, 64(ra)<br>   |
| 529|[0x80004854]<br>0x0000B500|- rs1_val==46339 and rs2_val==46340<br>                                                                                                                                |[0x800028b2]:c.and a0, a1<br> [0x800028b4]:sw a0, 68(ra)<br>   |
| 530|[0x80004858]<br>0x00000002|- rs1_val==46339 and rs2_val==2<br>                                                                                                                                    |[0x800028c4]:c.and a0, a1<br> [0x800028c6]:sw a0, 72(ra)<br>   |
| 531|[0x8000485c]<br>0x00001500|- rs1_val==46339 and rs2_val==1431655764<br>                                                                                                                           |[0x800028da]:c.and a0, a1<br> [0x800028dc]:sw a0, 76(ra)<br>   |
| 532|[0x80004860]<br>0x00000000|- rs1_val==46339 and rs2_val==0<br>                                                                                                                                    |[0x800028ec]:c.and a0, a1<br> [0x800028ee]:sw a0, 80(ra)<br>   |
| 533|[0x80004864]<br>0x00000000|- rs1_val==46339 and rs2_val==4<br>                                                                                                                                    |[0x800028fe]:c.and a0, a1<br> [0x80002900]:sw a0, 84(ra)<br>   |
| 534|[0x80004868]<br>0x00003102|- rs1_val==46339 and rs2_val==858993458<br>                                                                                                                            |[0x80002914]:c.and a0, a1<br> [0x80002916]:sw a0, 88(ra)<br>   |
| 535|[0x8000486c]<br>0x00002401|- rs1_val==46339 and rs2_val==1717986917<br>                                                                                                                           |[0x8000292a]:c.and a0, a1<br> [0x8000292c]:sw a0, 92(ra)<br>   |
| 536|[0x80004870]<br>0x0000B503|- rs1_val==46339 and rs2_val==46339<br>                                                                                                                                |[0x80002940]:c.and a0, a1<br> [0x80002942]:sw a0, 96(ra)<br>   |
| 537|[0x80004874]<br>0x00001502|- rs1_val==46339 and rs2_val==1431655766<br>                                                                                                                           |[0x80002956]:c.and a0, a1<br> [0x80002958]:sw a0, 100(ra)<br>  |
| 538|[0x80004878]<br>0x0000A003|- rs1_val==46339 and rs2_val==-1431655765<br>                                                                                                                          |[0x8000296c]:c.and a0, a1<br> [0x8000296e]:sw a0, 104(ra)<br>  |
| 539|[0x8000487c]<br>0x00000002|- rs1_val==46339 and rs2_val==6<br>                                                                                                                                    |[0x8000297e]:c.and a0, a1<br> [0x80002980]:sw a0, 108(ra)<br>  |
| 540|[0x80004880]<br>0x00003100|- rs1_val==46339 and rs2_val==858993460<br>                                                                                                                            |[0x80002994]:c.and a0, a1<br> [0x80002996]:sw a0, 112(ra)<br>  |
| 541|[0x80004884]<br>0x00002403|- rs1_val==46339 and rs2_val==1717986919<br>                                                                                                                           |[0x800029aa]:c.and a0, a1<br> [0x800029ac]:sw a0, 116(ra)<br>  |
| 542|[0x80004888]<br>0x00000001|- rs1_val==46339 and rs2_val==-46339<br>                                                                                                                               |[0x800029c0]:c.and a0, a1<br> [0x800029c2]:sw a0, 120(ra)<br>  |
| 543|[0x8000488c]<br>0x0000B501|- rs1_val==46339 and rs2_val==46341<br>                                                                                                                                |[0x800029d6]:c.and a0, a1<br> [0x800029d8]:sw a0, 124(ra)<br>  |
| 544|[0x80004890]<br>0x00000002|- rs1_val==1431655766 and rs2_val==3<br>                                                                                                                               |[0x800029e8]:c.and a0, a1<br> [0x800029ea]:sw a0, 128(ra)<br>  |
| 545|[0x80004894]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655765<br>                                                                                                                      |[0x800029fe]:c.and a0, a1<br> [0x80002a00]:sw a0, 132(ra)<br>  |
| 546|[0x80004898]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655766<br>                                                                                                                     |[0x80002a14]:c.and a0, a1<br> [0x80002a16]:sw a0, 136(ra)<br>  |
| 547|[0x8000489c]<br>0x00000004|- rs1_val==1431655766 and rs2_val==5<br>                                                                                                                               |[0x80002a26]:c.and a0, a1<br> [0x80002a28]:sw a0, 140(ra)<br>  |
| 548|[0x800048a0]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993459<br>                                                                                                                       |[0x80002a3c]:c.and a0, a1<br> [0x80002a3e]:sw a0, 144(ra)<br>  |
| 549|[0x800048a4]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986918<br>                                                                                                                      |[0x80002a52]:c.and a0, a1<br> [0x80002a54]:sw a0, 148(ra)<br>  |
| 550|[0x800048a8]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46340<br>                                                                                                                          |[0x80002a68]:c.and a0, a1<br> [0x80002a6a]:sw a0, 152(ra)<br>  |
| 551|[0x800048ac]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46340<br>                                                                                                                           |[0x80002a7e]:c.and a0, a1<br> [0x80002a80]:sw a0, 156(ra)<br>  |
| 552|[0x800048b0]<br>0x00000002|- rs1_val==1431655766 and rs2_val==2<br>                                                                                                                               |[0x80002a90]:c.and a0, a1<br> [0x80002a92]:sw a0, 160(ra)<br>  |
| 553|[0x800048b4]<br>0x55555554|- rs1_val==1431655766 and rs2_val==1431655764<br>                                                                                                                      |[0x80002aa6]:c.and a0, a1<br> [0x80002aa8]:sw a0, 164(ra)<br>  |
| 554|[0x800048b8]<br>0x00000000|- rs1_val==1431655766 and rs2_val==0<br>                                                                                                                               |[0x80002ab8]:c.and a0, a1<br> [0x80002aba]:sw a0, 168(ra)<br>  |
| 555|[0x800048bc]<br>0x00000004|- rs1_val==1431655766 and rs2_val==4<br>                                                                                                                               |[0x80002aca]:c.and a0, a1<br> [0x80002acc]:sw a0, 172(ra)<br>  |
| 556|[0x800048c0]<br>0x11111112|- rs1_val==1431655766 and rs2_val==858993458<br>                                                                                                                       |[0x80002ae0]:c.and a0, a1<br> [0x80002ae2]:sw a0, 176(ra)<br>  |
| 557|[0x800048c4]<br>0x44444444|- rs1_val==1431655766 and rs2_val==1717986917<br>                                                                                                                      |[0x80002af6]:c.and a0, a1<br> [0x80002af8]:sw a0, 180(ra)<br>  |
| 558|[0x800048c8]<br>0x00001502|- rs1_val==1431655766 and rs2_val==46339<br>                                                                                                                           |[0x80002b0c]:c.and a0, a1<br> [0x80002b0e]:sw a0, 184(ra)<br>  |
| 559|[0x800048cc]<br>0x55555556|- rs1_val==1431655766 and rs2_val==1431655766<br>                                                                                                                      |[0x80002b22]:c.and a0, a1<br> [0x80002b24]:sw a0, 188(ra)<br>  |
| 560|[0x800048d0]<br>0x00000002|- rs1_val==1431655766 and rs2_val==-1431655765<br>                                                                                                                     |[0x80002b38]:c.and a0, a1<br> [0x80002b3a]:sw a0, 192(ra)<br>  |
| 561|[0x800048d4]<br>0x00000006|- rs1_val==1431655766 and rs2_val==6<br>                                                                                                                               |[0x80002b4a]:c.and a0, a1<br> [0x80002b4c]:sw a0, 196(ra)<br>  |
| 562|[0x800048d8]<br>0x11111114|- rs1_val==1431655766 and rs2_val==858993460<br>                                                                                                                       |[0x80002b60]:c.and a0, a1<br> [0x80002b62]:sw a0, 200(ra)<br>  |
| 563|[0x800048dc]<br>0x44444446|- rs1_val==1431655766 and rs2_val==1717986919<br>                                                                                                                      |[0x80002b76]:c.and a0, a1<br> [0x80002b78]:sw a0, 204(ra)<br>  |
| 564|[0x800048e0]<br>0x55554054|- rs1_val==1431655766 and rs2_val==-46339<br>                                                                                                                          |[0x80002b8c]:c.and a0, a1<br> [0x80002b8e]:sw a0, 208(ra)<br>  |
| 565|[0x800048e4]<br>0x00001504|- rs1_val==1431655766 and rs2_val==46341<br>                                                                                                                           |[0x80002ba2]:c.and a0, a1<br> [0x80002ba4]:sw a0, 212(ra)<br>  |
| 566|[0x800048e8]<br>0x00000003|- rs1_val==-1431655765 and rs2_val==3<br>                                                                                                                              |[0x80002bb4]:c.and a0, a1<br> [0x80002bb6]:sw a0, 216(ra)<br>  |
| 567|[0x800048ec]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==1431655765<br>                                                                                                                     |[0x80002bca]:c.and a0, a1<br> [0x80002bcc]:sw a0, 220(ra)<br>  |
| 568|[0x800048f0]<br>0xAAAAAAAA|- rs1_val==-1431655765 and rs2_val==-1431655766<br>                                                                                                                    |[0x80002be0]:c.and a0, a1<br> [0x80002be2]:sw a0, 224(ra)<br>  |
| 569|[0x800048f4]<br>0x00000001|- rs1_val==-1431655765 and rs2_val==5<br>                                                                                                                              |[0x80002bf2]:c.and a0, a1<br> [0x80002bf4]:sw a0, 228(ra)<br>  |
| 570|[0x800048f8]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==858993459<br>                                                                                                                      |[0x80002c08]:c.and a0, a1<br> [0x80002c0a]:sw a0, 232(ra)<br>  |
| 571|[0x800048fc]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==1717986918<br>                                                                                                                     |[0x80002c1e]:c.and a0, a1<br> [0x80002c20]:sw a0, 236(ra)<br>  |
| 572|[0x80004900]<br>0xAAAA0AA8|- rs1_val==-1431655765 and rs2_val==-46340<br>                                                                                                                         |[0x80002c34]:c.and a0, a1<br> [0x80002c36]:sw a0, 240(ra)<br>  |
| 573|[0x80004904]<br>0x0000A000|- rs1_val==-1431655765 and rs2_val==46340<br>                                                                                                                          |[0x80002c4a]:c.and a0, a1<br> [0x80002c4c]:sw a0, 244(ra)<br>  |
| 574|[0x80004908]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==2<br>                                                                                                                              |[0x80002c5c]:c.and a0, a1<br> [0x80002c5e]:sw a0, 248(ra)<br>  |
| 575|[0x8000490c]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==1431655764<br>                                                                                                                     |[0x80002c72]:c.and a0, a1<br> [0x80002c74]:sw a0, 252(ra)<br>  |
| 576|[0x80004910]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==0<br>                                                                                                                              |[0x80002c84]:c.and a0, a1<br> [0x80002c86]:sw a0, 256(ra)<br>  |
| 577|[0x80004914]<br>0x00000000|- rs1_val==-1431655765 and rs2_val==4<br>                                                                                                                              |[0x80002c96]:c.and a0, a1<br> [0x80002c98]:sw a0, 260(ra)<br>  |
| 578|[0x80004918]<br>0x22222222|- rs1_val==-1431655765 and rs2_val==858993458<br>                                                                                                                      |[0x80002cac]:c.and a0, a1<br> [0x80002cae]:sw a0, 264(ra)<br>  |
| 579|[0x8000491c]<br>0x22222221|- rs1_val==-1431655765 and rs2_val==1717986917<br>                                                                                                                     |[0x80002cc2]:c.and a0, a1<br> [0x80002cc4]:sw a0, 268(ra)<br>  |
| 580|[0x80004920]<br>0x0000A003|- rs1_val==-1431655765 and rs2_val==46339<br>                                                                                                                          |[0x80002cd8]:c.and a0, a1<br> [0x80002cda]:sw a0, 272(ra)<br>  |
| 581|[0x80004924]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==1431655766<br>                                                                                                                     |[0x80002cee]:c.and a0, a1<br> [0x80002cf0]:sw a0, 276(ra)<br>  |
| 582|[0x80004928]<br>0xAAAAAAAB|- rs1_val==-1431655765 and rs2_val==-1431655765<br>                                                                                                                    |[0x80002d04]:c.and a0, a1<br> [0x80002d06]:sw a0, 280(ra)<br>  |
| 583|[0x8000492c]<br>0x00000002|- rs1_val==-1431655765 and rs2_val==6<br>                                                                                                                              |[0x80002d16]:c.and a0, a1<br> [0x80002d18]:sw a0, 284(ra)<br>  |
| 584|[0x80004930]<br>0x22222220|- rs1_val==-1431655765 and rs2_val==858993460<br>                                                                                                                      |[0x80002d2c]:c.and a0, a1<br> [0x80002d2e]:sw a0, 288(ra)<br>  |
| 585|[0x80004934]<br>0x22222223|- rs1_val==-1431655765 and rs2_val==1717986919<br>                                                                                                                     |[0x80002d42]:c.and a0, a1<br> [0x80002d44]:sw a0, 292(ra)<br>  |
